/* SettingsManager.c generated by valac 0.30.0, the Vala compiler
 * generated from SettingsManager.vala, do not modify */

/* Copyright 2014 Manuel Kehl (mank319)
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gstdio.h>
#include <gtk/gtk.h>
#include <stdio.h>
#include <gobject/gvaluecollector.h>


#define TYPE_SETTINGS_MANAGER (settings_manager_get_type ())
#define SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_MANAGER, SettingsManager))
#define SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_MANAGER, SettingsManagerClass))
#define IS_SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_MANAGER))
#define IS_SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_MANAGER))
#define SETTINGS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_MANAGER, SettingsManagerClass))

typedef struct _SettingsManager SettingsManager;
typedef struct _SettingsManagerClass SettingsManagerClass;
typedef struct _SettingsManagerPrivate SettingsManagerPrivate;
#define _g_key_file_free0(var) ((var == NULL) ? NULL : (var = (g_key_file_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define TYPE_SETTINGS_DIALOG (settings_dialog_get_type ())
#define SETTINGS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_DIALOG, SettingsDialog))
#define SETTINGS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_DIALOG, SettingsDialogClass))
#define IS_SETTINGS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_DIALOG))
#define IS_SETTINGS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_DIALOG))
#define SETTINGS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_DIALOG, SettingsDialogClass))

typedef struct _SettingsDialog SettingsDialog;
typedef struct _SettingsDialogClass SettingsDialogClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecSettingsManager ParamSpecSettingsManager;

struct _SettingsManager {
	GTypeInstance parent_instance;
	volatile int ref_count;
	SettingsManagerPrivate * priv;
};

struct _SettingsManagerClass {
	GTypeClass parent_class;
	void (*finalize) (SettingsManager *self);
};

struct _SettingsManagerPrivate {
	GKeyFile* key_file;
};

struct _ParamSpecSettingsManager {
	GParamSpec parent_instance;
};


static gpointer settings_manager_parent_class = NULL;

gpointer settings_manager_ref (gpointer instance);
void settings_manager_unref (gpointer instance);
GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_settings_manager (GValue* value, gpointer v_object);
void value_take_settings_manager (GValue* value, gpointer v_object);
gpointer value_get_settings_manager (const GValue* value);
GType settings_manager_get_type (void) G_GNUC_CONST;
#define SETTINGS_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SETTINGS_MANAGER, SettingsManagerPrivate))
enum  {
	SETTINGS_MANAGER_DUMMY_PROPERTY
};
#define SETTINGS_MANAGER_GROUP_TODO_TXT "Todo.txt"
#define SETTINGS_MANAGER_GROUP_TIMER "Timer"
#define SETTINGS_MANAGER_GROUP_UI "Interface"
SettingsManager* settings_manager_new_load_from_key_file (void);
SettingsManager* settings_manager_construct_load_from_key_file (GType object_type);
gchar* gofi_utils_get_config_file (void);
static void settings_manager_generate_configuration (SettingsManager* self);
GType settings_dialog_get_type (void) G_GNUC_CONST;
SettingsDialog* settings_dialog_new (gboolean first_start, SettingsManager* settings);
SettingsDialog* settings_dialog_construct (GType object_type, gboolean first_start, SettingsManager* settings);
static gchar* settings_manager_get_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* _default_);
static void settings_manager_set_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* value);
void settings_manager_set_todo_txt_location (SettingsManager* self, const gchar* value);
SettingsManager* settings_manager_new (void);
SettingsManager* settings_manager_construct (GType object_type);
gchar* settings_manager_get_todo_txt_location (SettingsManager* self);
gint settings_manager_get_task_duration (SettingsManager* self);
void settings_manager_set_task_duration (SettingsManager* self, gint value);
gint settings_manager_get_break_duration (SettingsManager* self);
void settings_manager_set_break_duration (SettingsManager* self, gint value);
gint settings_manager_get_reminder_time (SettingsManager* self);
void settings_manager_set_reminder_time (SettingsManager* self, gint value);
gboolean settings_manager_get_reminder_active (SettingsManager* self);
gint settings_manager_get_win_x (SettingsManager* self);
void settings_manager_set_win_x (SettingsManager* self, gint value);
gint settings_manager_get_win_y (SettingsManager* self);
void settings_manager_set_win_y (SettingsManager* self, gint value);
gint settings_manager_get_win_width (SettingsManager* self);
void settings_manager_set_win_width (SettingsManager* self, gint value);
gint settings_manager_get_win_height (SettingsManager* self);
void settings_manager_set_win_height (SettingsManager* self, gint value);
static void settings_manager_finalize (SettingsManager* obj);

extern const gchar* GOFI_TEST_DIRS[5];

/**
     * Constructs a SettingsManager object from a configuration file.
     * Reads the corresponding file and creates it, if necessary.
     */
SettingsManager* settings_manager_construct_load_from_key_file (GType object_type) {
	SettingsManager* self = NULL;
	GKeyFile* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	GError * _inner_error_ = NULL;
#line 128 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	self = (SettingsManager*) g_type_create_instance (object_type);
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = g_key_file_new ();
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_key_file_free0 (self->priv->key_file);
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	self->priv->key_file = _tmp0_;
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = gofi_utils_get_config_file ();
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp3_ = _tmp2_;
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_EXISTS);
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp5_ = !_tmp4_;
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp3_);
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (_tmp5_) {
#line 161 "SettingsManager.c"
		SettingsDialog* dia = NULL;
		SettingsDialog* _tmp6_ = NULL;
		SettingsDialog* _tmp7_ = NULL;
#line 134 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		settings_manager_generate_configuration (self);
#line 135 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_tmp6_ = settings_dialog_new (TRUE, self);
#line 135 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_object_ref_sink (_tmp6_);
#line 135 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		dia = _tmp6_;
#line 136 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_tmp7_ = dia;
#line 136 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		gtk_widget_show ((GtkWidget*) _tmp7_);
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_g_object_unref0 (dia);
#line 179 "SettingsManager.c"
	} else {
		{
			GKeyFile* _tmp8_ = NULL;
			gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
			gchar* _tmp11_ = NULL;
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp8_ = self->priv->key_file;
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp9_ = gofi_utils_get_config_file ();
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp10_ = _tmp9_;
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp11_ = _tmp10_;
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_key_file_load_from_file (_tmp8_, _tmp11_, G_KEY_FILE_KEEP_COMMENTS | G_KEY_FILE_KEEP_TRANSLATIONS, &_inner_error_);
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_g_free0 (_tmp11_);
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 200 "SettingsManager.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			FILE* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			const gchar* _tmp16_ = NULL;
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			e = _inner_error_;
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_inner_error_ = NULL;
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp12_ = stderr;
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp13_ = gofi_utils_get_config_file ();
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp14_ = _tmp13_;
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp15_ = _tmp14_;
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			fprintf (_tmp12_, "Reading %s failed", _tmp15_);
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_g_free0 (_tmp15_);
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp16_ = e->message;
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_error ("SettingsManager.vala:144: %s", _tmp16_);
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_g_error_free0 (e);
#line 235 "SettingsManager.c"
		}
		__finally0:
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_clear_error (&_inner_error_);
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			return NULL;
#line 246 "SettingsManager.c"
		}
	}
#line 128 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return self;
#line 251 "SettingsManager.c"
}


SettingsManager* settings_manager_new_load_from_key_file (void) {
#line 128 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return settings_manager_construct_load_from_key_file (TYPE_SETTINGS_MANAGER);
#line 258 "SettingsManager.c"
}


/**
     * Provides read access to a setting, given a certain group and key.
     * Public access is granted via the SettingsManager's attributes, so this
     * function has been declared private
     */
static gchar* settings_manager_get_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* _default_) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (_default_ != NULL, NULL);
#line 278 "SettingsManager.c"
	{
		gboolean _tmp0_ = FALSE;
		gboolean _tmp1_ = FALSE;
		GKeyFile* _tmp2_ = NULL;
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_tmp2_ = self->priv->key_file;
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		if (_tmp2_ != NULL) {
#line 287 "SettingsManager.c"
			GKeyFile* _tmp3_ = NULL;
			const gchar* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp3_ = self->priv->key_file;
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp4_ = group;
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp5_ = g_key_file_has_group (_tmp3_, _tmp4_);
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp1_ = _tmp5_;
#line 299 "SettingsManager.c"
		} else {
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp1_ = FALSE;
#line 303 "SettingsManager.c"
		}
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		if (_tmp1_) {
#line 307 "SettingsManager.c"
			gboolean _tmp6_ = FALSE;
			GKeyFile* _tmp7_ = NULL;
			const gchar* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			gboolean _tmp10_ = FALSE;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp7_ = self->priv->key_file;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp8_ = group;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp9_ = key;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp10_ = g_key_file_has_key (_tmp7_, _tmp8_, _tmp9_, &_inner_error_);
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp6_ = _tmp10_;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 325 "SettingsManager.c"
				goto __catch1_g_error;
			}
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp0_ = _tmp6_;
#line 330 "SettingsManager.c"
		} else {
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp0_ = FALSE;
#line 334 "SettingsManager.c"
		}
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		if (_tmp0_) {
#line 338 "SettingsManager.c"
			gchar* _tmp11_ = NULL;
			GKeyFile* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp12_ = self->priv->key_file;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp13_ = group;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp14_ = key;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp15_ = g_key_file_get_value (_tmp12_, _tmp13_, _tmp14_, &_inner_error_);
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp11_ = _tmp15_;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 357 "SettingsManager.c"
				goto __catch1_g_error;
			}
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp16_ = _tmp11_;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp11_ = NULL;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			result = _tmp16_;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_g_free0 (_tmp11_);
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			return result;
#line 370 "SettingsManager.c"
		} else {
			const gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 162 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp17_ = _default_;
#line 162 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp18_ = g_strdup (_tmp17_);
#line 162 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			result = _tmp18_;
#line 162 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			return result;
#line 382 "SettingsManager.c"
		}
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		e = _inner_error_;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_inner_error_ = NULL;
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_tmp19_ = group;
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_tmp20_ = key;
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_tmp21_ = e->message;
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_error ("An error occured while reading the setting" " %s.%s: %s", _tmp19_, _tmp20_, _tmp21_);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		_g_error_free0 (e);
#line 406 "SettingsManager.c"
	}
	__finally1:
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_clear_error (&_inner_error_);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return NULL;
#line 415 "SettingsManager.c"
}


/**
     * Provides write access to a setting, given a certain group key and value.
     * Public access is granted via the SettingsManager's attributes, so this
     * function has been declared private
     */
static void settings_manager_set_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* value) {
	GKeyFile* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 175 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 175 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (group != NULL);
#line 175 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (key != NULL);
#line 175 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (value != NULL);
#line 176 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = self->priv->key_file;
#line 176 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (_tmp0_ != NULL) {
#line 439 "SettingsManager.c"
		{
			GKeyFile* _tmp1_ = NULL;
			const gchar* _tmp2_ = NULL;
			const gchar* _tmp3_ = NULL;
			const gchar* _tmp4_ = NULL;
			GKeyFile* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp1_ = self->priv->key_file;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp2_ = group;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp3_ = key;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp4_ = value;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_key_file_set_value (_tmp1_, _tmp2_, _tmp3_, _tmp4_);
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp5_ = self->priv->key_file;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp6_ = gofi_utils_get_config_file ();
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp7_ = _tmp6_;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp8_ = _tmp7_;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_key_file_save_to_file (_tmp5_, _tmp8_, &_inner_error_);
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_g_free0 (_tmp8_);
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 473 "SettingsManager.c"
				goto __catch2_g_error;
			}
		}
		goto __finally2;
		__catch2_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			const gchar* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			e = _inner_error_;
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_inner_error_ = NULL;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp9_ = group;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp10_ = key;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp11_ = value;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_tmp12_ = e->message;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_error ("An error occured while setting the setting" " %s.%s to %s: %s", _tmp9_, _tmp10_, _tmp11_, _tmp12_);
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			_g_error_free0 (e);
#line 501 "SettingsManager.c"
		}
		__finally2:
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			g_clear_error (&_inner_error_);
#line 177 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			return;
#line 512 "SettingsManager.c"
		}
	}
}


/**
     * Generates the default configuration.
     * It also tries to automatically determine the location of the user's 
     * Todo.txt directory by checking a set of common potential 
     * "standard locations", which are defined in GOFI.TEST_DIRS in Utils.vala.
     */
static void settings_manager_generate_configuration (SettingsManager* self) {
	gchar* user_dir = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* todo_dir = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp12_ = NULL;
#line 193 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = g_get_home_dir ();
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	user_dir = _tmp1_;
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = user_dir;
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp3_ = GOFI_TEST_DIRS[0];
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp4_ = g_build_filename (_tmp2_, _tmp3_, NULL);
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	todo_dir = _tmp4_;
#line 549 "SettingsManager.c"
	{
		const gchar** test_sub_dir_collection = NULL;
		gint test_sub_dir_collection_length1 = 0;
		gint _test_sub_dir_collection_size_ = 0;
		gint test_sub_dir_it = 0;
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		test_sub_dir_collection = GOFI_TEST_DIRS;
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		test_sub_dir_collection_length1 = G_N_ELEMENTS (GOFI_TEST_DIRS);
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		for (test_sub_dir_it = 0; test_sub_dir_it < G_N_ELEMENTS (GOFI_TEST_DIRS); test_sub_dir_it = test_sub_dir_it + 1) {
#line 561 "SettingsManager.c"
			const gchar* test_sub_dir = NULL;
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			test_sub_dir = test_sub_dir_collection[test_sub_dir_it];
#line 565 "SettingsManager.c"
			{
				gchar* test_dir = NULL;
				const gchar* _tmp5_ = NULL;
				const gchar* _tmp6_ = NULL;
				gchar* _tmp7_ = NULL;
				const gchar* _tmp8_ = NULL;
				gboolean _tmp9_ = FALSE;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				_tmp5_ = user_dir;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				_tmp6_ = test_sub_dir;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				_tmp7_ = g_build_filename (_tmp5_, _tmp6_, NULL);
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				test_dir = _tmp7_;
#line 203 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				_tmp8_ = test_dir;
#line 203 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				_tmp9_ = g_file_test (_tmp8_, G_FILE_TEST_EXISTS);
#line 203 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				if (_tmp9_) {
#line 587 "SettingsManager.c"
					const gchar* _tmp10_ = NULL;
					gchar* _tmp11_ = NULL;
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
					_tmp10_ = test_dir;
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
					_tmp11_ = g_strdup (_tmp10_);
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
					_g_free0 (todo_dir);
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
					todo_dir = _tmp11_;
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
					_g_free0 (test_dir);
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
					break;
#line 602 "SettingsManager.c"
				}
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
				_g_free0 (test_dir);
#line 606 "SettingsManager.c"
			}
		}
	}
#line 209 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp12_ = todo_dir;
#line 209 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_todo_txt_location (self, _tmp12_);
#line 193 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (todo_dir);
#line 193 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (user_dir);
#line 618 "SettingsManager.c"
}


SettingsManager* settings_manager_construct (GType object_type) {
	SettingsManager* self = NULL;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	self = (SettingsManager*) g_type_create_instance (object_type);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return self;
#line 628 "SettingsManager.c"
}


SettingsManager* settings_manager_new (void) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return settings_manager_construct (TYPE_SETTINGS_MANAGER);
#line 635 "SettingsManager.c"
}


gchar* settings_manager_get_todo_txt_location (SettingsManager* self) {
	gchar* result;
	gchar* _tmp0_ = NULL;
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TODO_TXT, "location", "");
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp0_;
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 650 "SettingsManager.c"
}


void settings_manager_set_todo_txt_location (SettingsManager* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
#line 42 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TODO_TXT, "location", _tmp0_);
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "todo-txt-location-changed");
#line 664 "SettingsManager.c"
}


gint settings_manager_get_task_duration (SettingsManager* self) {
	gint result;
	gchar* duration = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 49 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 50 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "task_duration", "1500");
#line 50 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	duration = _tmp0_;
#line 51 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (duration);
#line 51 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 51 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (duration);
#line 51 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 687 "SettingsManager.c"
}


void settings_manager_set_task_duration (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 53 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "task_duration", _tmp2_);
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "timer-duration-changed");
#line 709 "SettingsManager.c"
}


gint settings_manager_get_break_duration (SettingsManager* self) {
	gint result;
	gchar* duration = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 60 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "break_duration", "300");
#line 60 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	duration = _tmp0_;
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (duration);
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (duration);
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 732 "SettingsManager.c"
}


void settings_manager_set_break_duration (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 64 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 64 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 64 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 64 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "break_duration", _tmp2_);
#line 64 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 65 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "timer-duration-changed");
#line 754 "SettingsManager.c"
}


gint settings_manager_get_reminder_time (SettingsManager* self) {
	gint result;
	gchar* time = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "reminder_time", "60");
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	time = _tmp0_;
#line 71 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (time);
#line 71 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 71 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (time);
#line 71 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 777 "SettingsManager.c"
}


void settings_manager_set_reminder_time (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 73 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "reminder_time", _tmp2_);
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 797 "SettingsManager.c"
}


gboolean settings_manager_get_reminder_active (SettingsManager* self) {
	gboolean result;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
#line 78 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 79 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_reminder_time (self);
#line 79 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 79 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_ > 0;
#line 79 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 815 "SettingsManager.c"
}


gint settings_manager_get_win_x (SettingsManager* self) {
	gint result;
	gchar* x = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 84 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 85 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_x", "-1");
#line 85 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	x = _tmp0_;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (x);
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (x);
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 838 "SettingsManager.c"
}


void settings_manager_set_win_x (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 88 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_x", _tmp2_);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 858 "SettingsManager.c"
}


gint settings_manager_get_win_y (SettingsManager* self) {
	gint result;
	gchar* y = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 93 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_y", "-1");
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	y = _tmp0_;
#line 95 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (y);
#line 95 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 95 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (y);
#line 95 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 881 "SettingsManager.c"
}


void settings_manager_set_win_y (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 97 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_y", _tmp2_);
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 901 "SettingsManager.c"
}


gint settings_manager_get_win_width (SettingsManager* self) {
	gint result;
	gchar* width = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 102 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 103 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_width", "350");
#line 103 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	width = _tmp0_;
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (width);
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (width);
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 924 "SettingsManager.c"
}


void settings_manager_set_win_width (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_width", _tmp2_);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 944 "SettingsManager.c"
}


gint settings_manager_get_win_height (SettingsManager* self) {
	gint result;
	gchar* height = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 111 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_height", "650");
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	height = _tmp0_;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = atoi (height);
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	result = _tmp1_;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (height);
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return result;
#line 967 "SettingsManager.c"
}


void settings_manager_set_win_height (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp0_ = value;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_height", _tmp2_);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 987 "SettingsManager.c"
}


static void value_settings_manager_init (GValue* value) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	value->data[0].v_pointer = NULL;
#line 994 "SettingsManager.c"
}


static void value_settings_manager_free_value (GValue* value) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (value->data[0].v_pointer) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		settings_manager_unref (value->data[0].v_pointer);
#line 1003 "SettingsManager.c"
	}
}


static void value_settings_manager_copy_value (const GValue* src_value, GValue* dest_value) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (src_value->data[0].v_pointer) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		dest_value->data[0].v_pointer = settings_manager_ref (src_value->data[0].v_pointer);
#line 1013 "SettingsManager.c"
	} else {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1017 "SettingsManager.c"
	}
}


static gpointer value_settings_manager_peek_pointer (const GValue* value) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return value->data[0].v_pointer;
#line 1025 "SettingsManager.c"
}


static gchar* value_settings_manager_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (collect_values[0].v_pointer) {
#line 1032 "SettingsManager.c"
		SettingsManager* object;
		object = collect_values[0].v_pointer;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		if (object->parent_instance.g_class == NULL) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1039 "SettingsManager.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1043 "SettingsManager.c"
		}
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		value->data[0].v_pointer = settings_manager_ref (object);
#line 1047 "SettingsManager.c"
	} else {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1051 "SettingsManager.c"
	}
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return NULL;
#line 1055 "SettingsManager.c"
}


static gchar* value_settings_manager_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	SettingsManager** object_p;
	object_p = collect_values[0].v_pointer;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (!object_p) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1066 "SettingsManager.c"
	}
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (!value->data[0].v_pointer) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		*object_p = NULL;
#line 1072 "SettingsManager.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		*object_p = value->data[0].v_pointer;
#line 1076 "SettingsManager.c"
	} else {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		*object_p = settings_manager_ref (value->data[0].v_pointer);
#line 1080 "SettingsManager.c"
	}
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return NULL;
#line 1084 "SettingsManager.c"
}


GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecSettingsManager* spec;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_SETTINGS_MANAGER), NULL);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return G_PARAM_SPEC (spec);
#line 1098 "SettingsManager.c"
}


gpointer value_get_settings_manager (const GValue* value) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER), NULL);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return value->data[0].v_pointer;
#line 1107 "SettingsManager.c"
}


void value_set_settings_manager (GValue* value, gpointer v_object) {
	SettingsManager* old;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	old = value->data[0].v_pointer;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (v_object) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SETTINGS_MANAGER));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		value->data[0].v_pointer = v_object;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		settings_manager_ref (value->data[0].v_pointer);
#line 1127 "SettingsManager.c"
	} else {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1131 "SettingsManager.c"
	}
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (old) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		settings_manager_unref (old);
#line 1137 "SettingsManager.c"
	}
}


void value_take_settings_manager (GValue* value, gpointer v_object) {
	SettingsManager* old;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	old = value->data[0].v_pointer;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (v_object) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SETTINGS_MANAGER));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		value->data[0].v_pointer = v_object;
#line 1156 "SettingsManager.c"
	} else {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1160 "SettingsManager.c"
	}
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (old) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		settings_manager_unref (old);
#line 1166 "SettingsManager.c"
	}
}


static void settings_manager_class_init (SettingsManagerClass * klass) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	settings_manager_parent_class = g_type_class_peek_parent (klass);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	((SettingsManagerClass *) klass)->finalize = settings_manager_finalize;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_type_class_add_private (klass, sizeof (SettingsManagerPrivate));
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_signal_new ("todo_txt_location_changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_signal_new ("timer_duration_changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1182 "SettingsManager.c"
}


static void settings_manager_instance_init (SettingsManager * self) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	self->priv = SETTINGS_MANAGER_GET_PRIVATE (self);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	self->ref_count = 1;
#line 1191 "SettingsManager.c"
}


static void settings_manager_finalize (SettingsManager* obj) {
	SettingsManager * self;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SETTINGS_MANAGER, SettingsManager);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_signal_handlers_destroy (self);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	_g_key_file_free0 (self->priv->key_file);
#line 1203 "SettingsManager.c"
}


/**
 * A class that handles access to settings in a transparent manner.
 * Its main motivation is the option of easily replacing Glib.KeyFile with 
 * another settings storage mechanism in the future.
 */
GType settings_manager_get_type (void) {
	static volatile gsize settings_manager_type_id__volatile = 0;
	if (g_once_init_enter (&settings_manager_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_settings_manager_init, value_settings_manager_free_value, value_settings_manager_copy_value, value_settings_manager_peek_pointer, "p", value_settings_manager_collect_value, "p", value_settings_manager_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (SettingsManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) settings_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SettingsManager), 0, (GInstanceInitFunc) settings_manager_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType settings_manager_type_id;
		settings_manager_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SettingsManager", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&settings_manager_type_id__volatile, settings_manager_type_id);
	}
	return settings_manager_type_id__volatile;
}


gpointer settings_manager_ref (gpointer instance) {
	SettingsManager* self;
	self = instance;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	g_atomic_int_inc (&self->ref_count);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	return instance;
#line 1233 "SettingsManager.c"
}


void settings_manager_unref (gpointer instance) {
	SettingsManager* self;
	self = instance;
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		SETTINGS_MANAGER_GET_CLASS (self)->finalize (self);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/SettingsManager.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1246 "SettingsManager.c"
	}
}



