/* TaskManager.c generated by valac 0.30.0, the Vala compiler
 * generated from TaskManager.vala, do not modify */

/* Copyright 2014 Manuel Kehl (mank319)
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <glib/gstdio.h>
#include <gobject/gvaluecollector.h>


#define TYPE_TASK_MANAGER (task_manager_get_type ())
#define TASK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_MANAGER, TaskManager))
#define TASK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_MANAGER, TaskManagerClass))
#define IS_TASK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_MANAGER))
#define IS_TASK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_MANAGER))
#define TASK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_MANAGER, TaskManagerClass))

typedef struct _TaskManager TaskManager;
typedef struct _TaskManagerClass TaskManagerClass;
typedef struct _TaskManagerPrivate TaskManagerPrivate;

#define TYPE_TASK_STORE (task_store_get_type ())
#define TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_STORE, TaskStore))
#define TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_STORE, TaskStoreClass))
#define IS_TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_STORE))
#define IS_TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_STORE))
#define TASK_STORE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_STORE, TaskStoreClass))

typedef struct _TaskStore TaskStore;
typedef struct _TaskStoreClass TaskStoreClass;

#define TYPE_SETTINGS_MANAGER (settings_manager_get_type ())
#define SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_MANAGER, SettingsManager))
#define SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_MANAGER, SettingsManagerClass))
#define IS_SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_MANAGER))
#define IS_SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_MANAGER))
#define SETTINGS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_MANAGER, SettingsManagerClass))

typedef struct _SettingsManager SettingsManager;
typedef struct _SettingsManagerClass SettingsManagerClass;
#define _settings_manager_unref0(var) ((var == NULL) ? NULL : (var = (settings_manager_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecTaskManager ParamSpecTaskManager;

struct _TaskManager {
	GTypeInstance parent_instance;
	volatile int ref_count;
	TaskManagerPrivate * priv;
	TaskStore* todo_store;
	TaskStore* done_store;
};

struct _TaskManagerClass {
	GTypeClass parent_class;
	void (*finalize) (TaskManager *self);
};

struct _TaskManagerPrivate {
	SettingsManager* settings;
	GFile* todo_txt_dir;
	GFile* todo_txt;
	GFile* done_txt;
	gboolean read_only;
};

struct _ParamSpecTaskManager {
	GParamSpec parent_instance;
};


static gpointer task_manager_parent_class = NULL;

gpointer task_manager_ref (gpointer instance);
void task_manager_unref (gpointer instance);
GParamSpec* param_spec_task_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_task_manager (GValue* value, gpointer v_object);
void value_take_task_manager (GValue* value, gpointer v_object);
gpointer value_get_task_manager (const GValue* value);
GType task_manager_get_type (void) G_GNUC_CONST;
GType task_store_get_type (void) G_GNUC_CONST;
gpointer settings_manager_ref (gpointer instance);
void settings_manager_unref (gpointer instance);
GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_settings_manager (GValue* value, gpointer v_object);
void value_take_settings_manager (GValue* value, gpointer v_object);
gpointer value_get_settings_manager (const GValue* value);
GType settings_manager_get_type (void) G_GNUC_CONST;
#define TASK_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_TASK_MANAGER, TaskManagerPrivate))
enum  {
	TASK_MANAGER_DUMMY_PROPERTY
};
TaskManager* task_manager_new (SettingsManager* settings);
TaskManager* task_manager_construct (GType object_type, SettingsManager* settings);
TaskStore* task_store_new (gboolean done_by_default);
TaskStore* task_store_construct (GType object_type, gboolean done_by_default);
static void task_manager_load_task_stores (TaskManager* self);
static void _task_manager_load_task_stores_settings_manager_todo_txt_location_changed (SettingsManager* _sender, gpointer self);
static void task_manager_auto_transfer_tasks (TaskManager* self);
void task_manager_add_new_task (TaskManager* self, const gchar* task);
void task_store_add_task (TaskStore* self, const gchar* description);
void task_manager_mark_task_done (TaskManager* self, const GtkTreeRowReference* reference);
static void task_manager_transfer_task (TaskManager* self, GtkTreeIter* iter, TaskStore* source, TaskStore* destination);
void task_store_remove_task (TaskStore* self, GtkTreeIter* iter);
void task_manager_clear_done_store (TaskManager* self);
gchar* settings_manager_get_todo_txt_location (SettingsManager* self);
static void task_manager_save_tasks (TaskManager* self);
static void _task_manager_save_tasks_task_store_task_data_changed (TaskStore* _sender, gpointer self);
static void task_manager_task_done_handler (TaskManager* self, TaskStore* source, GtkTreeIter* iter);
static void _task_manager_task_done_handler_task_store_task_done_changed (TaskStore* _sender, GtkTreeIter* iter, gpointer self);
static void task_manager_load_tasks (TaskManager* self);
static void task_manager_read_task_file (TaskManager* self, TaskStore* store, GFile* file);
static void task_manager_write_task_file (TaskManager* self, TaskStore* store, GFile* file);
void task_store_add_initial_task (TaskStore* self, const gchar* description, gboolean done);
static void task_manager_finalize (TaskManager* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gpointer _settings_manager_ref0 (gpointer self) {
#line 35 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return self ? settings_manager_ref (self) : NULL;
#line 148 "TaskManager.c"
}


static void _task_manager_load_task_stores_settings_manager_todo_txt_location_changed (SettingsManager* _sender, gpointer self) {
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_load_task_stores ((TaskManager*) self);
#line 155 "TaskManager.c"
}


TaskManager* task_manager_construct (GType object_type, SettingsManager* settings) {
	TaskManager* self = NULL;
	SettingsManager* _tmp0_ = NULL;
	SettingsManager* _tmp1_ = NULL;
	TaskStore* _tmp2_ = NULL;
	TaskStore* _tmp3_ = NULL;
	SettingsManager* _tmp4_ = NULL;
#line 34 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_val_if_fail (settings != NULL, NULL);
#line 34 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self = (TaskManager*) g_type_create_instance (object_type);
#line 35 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = settings;
#line 35 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = _settings_manager_ref0 (_tmp0_);
#line 35 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 35 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv->settings = _tmp1_;
#line 38 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp2_ = task_store_new (FALSE);
#line 38 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->todo_store);
#line 38 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->todo_store = _tmp2_;
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp3_ = task_store_new (TRUE);
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->done_store);
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->done_store = _tmp3_;
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_load_task_stores (self);
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp4_ = settings;
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_signal_connect (_tmp4_, "todo-txt-location-changed", (GCallback) _task_manager_load_task_stores_settings_manager_todo_txt_location_changed, self);
#line 48 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_auto_transfer_tasks (self);
#line 34 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return self;
#line 200 "TaskManager.c"
}


TaskManager* task_manager_new (SettingsManager* settings) {
#line 34 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return task_manager_construct (TYPE_TASK_MANAGER, settings);
#line 207 "TaskManager.c"
}


/**
     * To be called when adding a new (undone) task.
     */
void task_manager_add_new_task (TaskManager* self, const gchar* task) {
	TaskStore* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (task != NULL);
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = self->todo_store;
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = task;
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_store_add_task (_tmp0_, _tmp1_);
#line 227 "TaskManager.c"
}


void task_manager_mark_task_done (TaskManager* self, const GtkTreeRowReference* reference) {
	const GtkTreeRowReference* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (reference != NULL);
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = reference;
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = gtk_tree_row_reference_valid (_tmp0_);
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (_tmp1_) {
#line 244 "TaskManager.c"
		GtkTreePath* path = NULL;
		const GtkTreeRowReference* _tmp2_ = NULL;
		GtkTreePath* _tmp3_ = NULL;
		GtkTreeIter iter = {0};
		TaskStore* _tmp4_ = NULL;
		GtkTreePath* _tmp5_ = NULL;
		GtkTreeIter _tmp6_ = {0};
		GtkTreeIter _tmp7_ = {0};
		TaskStore* _tmp8_ = NULL;
		TaskStore* _tmp9_ = NULL;
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp2_ = reference;
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp3_ = gtk_tree_row_reference_get_path (_tmp2_);
#line 61 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		path = _tmp3_;
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp4_ = self->todo_store;
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp5_ = path;
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		gtk_tree_model_get_iter ((GtkTreeModel*) _tmp4_, &_tmp6_, _tmp5_);
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		iter = _tmp6_;
#line 65 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp7_ = iter;
#line 65 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp8_ = self->todo_store;
#line 65 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp9_ = self->done_store;
#line 65 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_transfer_task (self, &_tmp7_, _tmp8_, _tmp9_);
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_gtk_tree_path_free0 (path);
#line 279 "TaskManager.c"
	}
}


/** 
     * Transfers a task from one TaskStore to another.
     */
static void task_manager_transfer_task (TaskManager* self, GtkTreeIter* iter, TaskStore* source, TaskStore* destination) {
	GValue description = {0};
	TaskStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GValue _tmp2_ = {0};
	TaskStore* _tmp3_ = NULL;
	GValue _tmp4_ = {0};
	TaskStore* _tmp5_ = NULL;
	GtkTreeIter _tmp6_ = {0};
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (iter != NULL);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (source != NULL);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (destination != NULL);
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = source;
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = *iter;
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp0_, &_tmp1_, 1, &_tmp2_);
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	G_IS_VALUE (&description) ? (g_value_unset (&description), NULL) : NULL;
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	description = _tmp2_;
#line 76 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp3_ = destination;
#line 76 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp4_ = description;
#line 76 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_store_add_task (_tmp3_, g_value_get_string (&_tmp4_));
#line 77 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp5_ = source;
#line 77 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp6_ = *iter;
#line 77 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_store_remove_task (_tmp5_, &_tmp6_);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	G_IS_VALUE (&description) ? (g_value_unset (&description), NULL) : NULL;
#line 328 "TaskManager.c"
}


/**
     * Cleans the todo list by transfering all done tasks to the done list.
     */
static void task_manager_auto_transfer_tasks (TaskManager* self) {
	GtkTreeIter iter = {0};
#line 83 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 339 "TaskManager.c"
	{
		gboolean next = FALSE;
		TaskStore* _tmp0_ = NULL;
		GtkTreeIter _tmp1_ = {0};
		gboolean _tmp2_ = FALSE;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp0_ = self->todo_store;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp2_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) _tmp0_, &_tmp1_);
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		iter = _tmp1_;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		next = _tmp2_;
#line 353 "TaskManager.c"
		{
			gboolean _tmp3_ = FALSE;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp3_ = TRUE;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			while (TRUE) {
#line 360 "TaskManager.c"
				gboolean _tmp6_ = FALSE;
				GValue out1 = {0};
				TaskStore* _tmp7_ = NULL;
				GtkTreeIter _tmp8_ = {0};
				GValue _tmp9_ = {0};
				gboolean done = FALSE;
				GValue _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				if (!_tmp3_) {
#line 371 "TaskManager.c"
					TaskStore* _tmp4_ = NULL;
					gboolean _tmp5_ = FALSE;
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp4_ = self->todo_store;
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp5_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp4_, &iter);
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					next = _tmp5_;
#line 380 "TaskManager.c"
				}
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp3_ = FALSE;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp6_ = next;
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				if (!_tmp6_) {
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					break;
#line 390 "TaskManager.c"
				}
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp7_ = self->todo_store;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp8_ = iter;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				gtk_tree_model_get_value ((GtkTreeModel*) _tmp7_, &_tmp8_, 0, &_tmp9_);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				G_IS_VALUE (&out1) ? (g_value_unset (&out1), NULL) : NULL;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				out1 = _tmp9_;
#line 90 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp10_ = out1;
#line 90 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				done = g_value_get_boolean (&_tmp10_);
#line 92 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp11_ = done;
#line 92 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				if (_tmp11_) {
#line 410 "TaskManager.c"
					GtkTreeIter _tmp12_ = {0};
					TaskStore* _tmp13_ = NULL;
					TaskStore* _tmp14_ = NULL;
#line 93 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp12_ = iter;
#line 93 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp13_ = self->todo_store;
#line 93 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp14_ = self->done_store;
#line 93 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					task_manager_transfer_task (self, &_tmp12_, _tmp13_, _tmp14_);
#line 422 "TaskManager.c"
				}
#line 86 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				G_IS_VALUE (&out1) ? (g_value_unset (&out1), NULL) : NULL;
#line 426 "TaskManager.c"
			}
		}
	}
}


/**
     * Deletes all task on the "Done" list
     */
void task_manager_clear_done_store (TaskManager* self) {
	TaskStore* _tmp0_ = NULL;
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 102 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = self->done_store;
#line 102 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	gtk_list_store_clear ((GtkListStore*) _tmp0_);
#line 444 "TaskManager.c"
}


static void _task_manager_save_tasks_task_store_task_data_changed (TaskStore* _sender, gpointer self) {
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_save_tasks ((TaskManager*) self);
#line 451 "TaskManager.c"
}


static void _task_manager_task_done_handler_task_store_task_done_changed (TaskStore* _sender, GtkTreeIter* iter, gpointer self) {
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_task_done_handler ((TaskManager*) self, _sender, iter);
#line 458 "TaskManager.c"
}


static void task_manager_load_task_stores (TaskManager* self) {
	FILE* _tmp0_ = NULL;
	SettingsManager* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	GFile* _tmp7_ = NULL;
	GFile* _tmp8_ = NULL;
	GFile* _tmp9_ = NULL;
	TaskStore* _tmp10_ = NULL;
	TaskStore* _tmp11_ = NULL;
	TaskStore* _tmp12_ = NULL;
	TaskStore* _tmp13_ = NULL;
#line 105 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = stdout;
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	fprintf (_tmp0_, "load_task_stores");
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = self->priv->settings;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp2_ = settings_manager_get_todo_txt_location (_tmp1_);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp3_ = _tmp2_;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp4_ = _tmp3_;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp5_ = g_file_new_for_path (_tmp4_);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt_dir);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv->todo_txt_dir = _tmp5_;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_free0 (_tmp4_);
#line 108 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp6_ = self->priv->todo_txt_dir;
#line 108 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp7_ = g_file_get_child (_tmp6_, "todo.txt");
#line 108 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt);
#line 108 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv->todo_txt = _tmp7_;
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp8_ = self->priv->todo_txt_dir;
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp9_ = g_file_get_child (_tmp8_, "done.txt");
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->priv->done_txt);
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv->done_txt = _tmp9_;
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp10_ = self->todo_store;
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_signal_connect (_tmp10_, "task-data-changed", (GCallback) _task_manager_save_tasks_task_store_task_data_changed, self);
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp11_ = self->done_store;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_signal_connect (_tmp11_, "task-data-changed", (GCallback) _task_manager_save_tasks_task_store_task_data_changed, self);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp12_ = self->todo_store;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_signal_connect (_tmp12_, "task-done-changed", (GCallback) _task_manager_task_done_handler_task_store_task_done_changed, self);
#line 117 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp13_ = self->done_store;
#line 117 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_signal_connect (_tmp13_, "task-done-changed", (GCallback) _task_manager_task_done_handler_task_store_task_done_changed, self);
#line 119 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_load_tasks (self);
#line 533 "TaskManager.c"
}


static void task_manager_task_done_handler (TaskManager* self, TaskStore* source, GtkTreeIter* iter) {
	TaskStore* _tmp0_ = NULL;
	TaskStore* _tmp1_ = NULL;
#line 122 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 122 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (source != NULL);
#line 122 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (iter != NULL);
#line 123 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = source;
#line 123 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = self->todo_store;
#line 123 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (_tmp0_ == _tmp1_) {
#line 552 "TaskManager.c"
		GtkTreeIter _tmp2_ = {0};
		TaskStore* _tmp3_ = NULL;
		TaskStore* _tmp4_ = NULL;
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp2_ = *iter;
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp3_ = self->todo_store;
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp4_ = self->done_store;
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_transfer_task (self, &_tmp2_, _tmp3_, _tmp4_);
#line 564 "TaskManager.c"
	} else {
		TaskStore* _tmp5_ = NULL;
		TaskStore* _tmp6_ = NULL;
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp5_ = source;
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp6_ = self->done_store;
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		if (_tmp5_ == _tmp6_) {
#line 574 "TaskManager.c"
			GtkTreeIter _tmp7_ = {0};
			TaskStore* _tmp8_ = NULL;
			TaskStore* _tmp9_ = NULL;
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp7_ = *iter;
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp8_ = self->done_store;
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp9_ = self->todo_store;
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			task_manager_transfer_task (self, &_tmp7_, _tmp8_, _tmp9_);
#line 586 "TaskManager.c"
		}
	}
}


static void task_manager_load_tasks (TaskManager* self) {
	TaskStore* _tmp0_ = NULL;
	TaskStore* _tmp1_ = NULL;
	TaskStore* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	TaskStore* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv->read_only = TRUE;
#line 133 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = self->todo_store;
#line 133 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	gtk_list_store_clear ((GtkListStore*) _tmp0_);
#line 134 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = self->done_store;
#line 134 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	gtk_list_store_clear ((GtkListStore*) _tmp1_);
#line 135 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv->read_only = FALSE;
#line 136 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp2_ = self->todo_store;
#line 136 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp3_ = self->priv->todo_txt;
#line 136 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_read_task_file (self, _tmp2_, _tmp3_);
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp4_ = self->done_store;
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp5_ = self->priv->done_txt;
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_read_task_file (self, _tmp4_, _tmp5_);
#line 625 "TaskManager.c"
}


static void task_manager_save_tasks (TaskManager* self) {
	gboolean _tmp0_ = FALSE;
#line 140 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 141 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = self->priv->read_only;
#line 141 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (!_tmp0_) {
#line 637 "TaskManager.c"
		TaskStore* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		TaskStore* _tmp3_ = NULL;
		GFile* _tmp4_ = NULL;
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp1_ = self->todo_store;
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp2_ = self->priv->todo_txt;
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_write_task_file (self, _tmp1_, _tmp2_);
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp3_ = self->done_store;
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp4_ = self->priv->done_txt;
#line 143 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_write_task_file (self, _tmp3_, _tmp4_);
#line 654 "TaskManager.c"
	}
}


/**
     * Reads tasks from a Todo.txt formatted file.
     */
static void task_manager_read_task_file (TaskManager* self, TaskStore* store, GFile* file) {
	GFile* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 150 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 150 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (store != NULL);
#line 150 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (file != NULL);
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp0_ = file;
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_tmp1_ = g_file_query_exists (_tmp0_, NULL);
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (!_tmp1_) {
#line 678 "TaskManager.c"
		GFile* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp2_ = self->priv->todo_txt_dir;
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp3_ = g_file_get_path (_tmp2_);
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp4_ = _tmp3_;
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_mkdir_with_parents (_tmp4_, 0700);
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_free0 (_tmp4_);
#line 692 "TaskManager.c"
		{
			GFile* _tmp5_ = NULL;
			GFileOutputStream* _tmp6_ = NULL;
			GFileOutputStream* _tmp7_ = NULL;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp5_ = file;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp6_ = g_file_create (_tmp5_, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp7_ = _tmp6_;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_g_object_unref0 (_tmp7_);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 707 "TaskManager.c"
				goto __catch3_g_error;
			}
		}
		goto __finally3;
		__catch3_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp8_ = NULL;
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			e = _inner_error_;
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_inner_error_ = NULL;
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp8_ = e->message;
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			g_error ("TaskManager.vala:157: %s", _tmp8_);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_g_error_free0 (e);
#line 726 "TaskManager.c"
		}
		__finally3:
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			g_clear_error (&_inner_error_);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			return;
#line 737 "TaskManager.c"
		}
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		return;
#line 741 "TaskManager.c"
	}
	{
		GFileInputStream* _tmp9_ = NULL;
		GFile* _tmp10_ = NULL;
		GFileInputStream* _tmp11_ = NULL;
		GDataInputStream* stream_in = NULL;
		GDataInputStream* _tmp12_ = NULL;
		gchar* line = NULL;
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp10_ = file;
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp11_ = g_file_read (_tmp10_, NULL, &_inner_error_);
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp9_ = _tmp11_;
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 758 "TaskManager.c"
			goto __catch4_g_error;
		}
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp12_ = g_data_input_stream_new ((GInputStream*) _tmp9_);
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		stream_in = _tmp12_;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		while (TRUE) {
#line 767 "TaskManager.c"
			gchar* _tmp13_ = NULL;
			GDataInputStream* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
			gboolean done = FALSE;
			const gchar* _tmp18_ = NULL;
			gboolean _tmp19_ = FALSE;
			gboolean _tmp20_ = FALSE;
			TaskStore* _tmp27_ = NULL;
			const gchar* _tmp28_ = NULL;
			gboolean _tmp29_ = FALSE;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp14_ = stream_in;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp15_ = g_data_input_stream_read_line (_tmp14_, NULL, NULL, &_inner_error_);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp13_ = _tmp15_;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_g_free0 (line);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_g_object_unref0 (stream_in);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_g_object_unref0 (_tmp9_);
#line 794 "TaskManager.c"
				goto __catch4_g_error;
			}
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp16_ = _tmp13_;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp13_ = NULL;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_g_free0 (line);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			line = _tmp16_;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp17_ = line;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			if (!(_tmp17_ != NULL)) {
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_g_free0 (_tmp13_);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				break;
#line 813 "TaskManager.c"
			}
#line 169 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp18_ = line;
#line 169 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp19_ = g_str_has_prefix (_tmp18_, "x");
#line 169 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			done = _tmp19_;
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp20_ = done;
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			if (_tmp20_) {
#line 825 "TaskManager.c"
				const gchar* _tmp21_ = NULL;
				gchar** _tmp22_ = NULL;
				gchar** _tmp23_ = NULL;
				gchar** _tmp24_ = NULL;
				gint _tmp24__length1 = 0;
				const gchar* _tmp25_ = NULL;
				gchar* _tmp26_ = NULL;
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp21_ = line;
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp23_ = _tmp22_ = g_strsplit (_tmp21_, "x", 2);
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp24_ = _tmp23_;
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp24__length1 = _vala_array_length (_tmp22_);
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp25_ = _tmp24_[1];
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp26_ = g_strdup (_tmp25_);
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_g_free0 (line);
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				line = _tmp26_;
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp24_ = (_vala_array_free (_tmp24_, _tmp24__length1, (GDestroyNotify) g_free), NULL);
#line 851 "TaskManager.c"
			}
#line 176 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp27_ = store;
#line 176 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp28_ = line;
#line 176 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp29_ = done;
#line 176 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			task_store_add_initial_task (_tmp27_, _tmp28_, _tmp29_);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_g_free0 (_tmp13_);
#line 863 "TaskManager.c"
		}
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_free0 (line);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_object_unref0 (stream_in);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_object_unref0 (_tmp9_);
#line 871 "TaskManager.c"
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp30_ = NULL;
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		e = _inner_error_;
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_inner_error_ = NULL;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp30_ = e->message;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_error ("TaskManager.vala:179: %s", _tmp30_);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_error_free0 (e);
#line 888 "TaskManager.c"
	}
	__finally4:
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_clear_error (&_inner_error_);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		return;
#line 899 "TaskManager.c"
	}
}


/**
     * Saves tasks to a Todo.txt formatted file.
     */
static void task_manager_write_task_file (TaskManager* self, TaskStore* store, GFile* file) {
	GError * _inner_error_ = NULL;
#line 186 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 186 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (store != NULL);
#line 186 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (file != NULL);
#line 915 "TaskManager.c"
	{
		GFileIOStream* file_io_stream = NULL;
		GFile* _tmp0_ = NULL;
		GFileIOStream* _tmp1_ = NULL;
		GDataOutputStream* stream_out = NULL;
		GFileIOStream* _tmp2_ = NULL;
		GOutputStream* _tmp3_ = NULL;
		GOutputStream* _tmp4_ = NULL;
		GDataOutputStream* _tmp5_ = NULL;
		GtkTreeIter iter = {0};
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp0_ = file;
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp1_ = g_file_replace_readwrite (_tmp0_, NULL, TRUE, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		file_io_stream = _tmp1_;
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 934 "TaskManager.c"
			goto __catch5_g_error;
		}
#line 192 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp2_ = file_io_stream;
#line 192 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp3_ = g_io_stream_get_output_stream ((GIOStream*) _tmp2_);
#line 192 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp4_ = _tmp3_;
#line 192 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp5_ = g_data_output_stream_new (_tmp4_);
#line 192 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		stream_out = _tmp5_;
#line 947 "TaskManager.c"
		{
			gboolean next = FALSE;
			TaskStore* _tmp6_ = NULL;
			GtkTreeIter _tmp7_ = {0};
			gboolean _tmp8_ = FALSE;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp6_ = store;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			_tmp8_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) _tmp6_, &_tmp7_);
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			iter = _tmp7_;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			next = _tmp8_;
#line 961 "TaskManager.c"
			{
				gboolean _tmp9_ = FALSE;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				_tmp9_ = TRUE;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
				while (TRUE) {
#line 968 "TaskManager.c"
					gboolean _tmp12_ = FALSE;
					GValue done = {0};
					GValue text = {0};
					TaskStore* _tmp13_ = NULL;
					GtkTreeIter _tmp14_ = {0};
					GValue _tmp15_ = {0};
					TaskStore* _tmp16_ = NULL;
					GtkTreeIter _tmp17_ = {0};
					GValue _tmp18_ = {0};
					GValue _tmp19_ = {0};
					GDataOutputStream* _tmp23_ = NULL;
					GValue _tmp24_ = {0};
					gchar* _tmp25_ = NULL;
					gchar* _tmp26_ = NULL;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					if (!_tmp9_) {
#line 985 "TaskManager.c"
						TaskStore* _tmp10_ = NULL;
						gboolean _tmp11_ = FALSE;
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						_tmp10_ = store;
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						_tmp11_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp10_, &iter);
#line 198 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						next = _tmp11_;
#line 994 "TaskManager.c"
					}
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp9_ = FALSE;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp12_ = next;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					if (!_tmp12_) {
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						break;
#line 1004 "TaskManager.c"
					}
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp13_ = store;
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp14_ = iter;
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					gtk_tree_model_get_value ((GtkTreeModel*) _tmp13_, &_tmp14_, 0, &_tmp15_);
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					G_IS_VALUE (&done) ? (g_value_unset (&done), NULL) : NULL;
#line 201 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					done = _tmp15_;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp16_ = store;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp17_ = iter;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					gtk_tree_model_get_value ((GtkTreeModel*) _tmp16_, &_tmp17_, 1, &_tmp18_);
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 202 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					text = _tmp18_;
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp19_ = done;
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					if (g_value_get_boolean (&_tmp19_)) {
#line 1030 "TaskManager.c"
						GValue _tmp20_ = {0};
						gchar* _tmp21_ = NULL;
						GValue _tmp22_ = {0};
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						_tmp20_ = text;
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						_tmp21_ = g_strconcat ("x", g_value_get_string (&_tmp20_), NULL);
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						g_value_init (&_tmp22_, G_TYPE_STRING);
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						g_value_take_string (&_tmp22_, _tmp21_);
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 205 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						text = _tmp22_;
#line 1046 "TaskManager.c"
					}
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp23_ = stream_out;
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp24_ = text;
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp25_ = g_strconcat (g_value_get_string (&_tmp24_), "\n", NULL);
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_tmp26_ = _tmp25_;
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					g_data_output_stream_put_string (_tmp23_, _tmp26_, NULL, &_inner_error_);
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					_g_free0 (_tmp26_);
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						G_IS_VALUE (&done) ? (g_value_unset (&done), NULL) : NULL;
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						_g_object_unref0 (stream_out);
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
						_g_object_unref0 (file_io_stream);
#line 1070 "TaskManager.c"
						goto __catch5_g_error;
					}
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
					G_IS_VALUE (&done) ? (g_value_unset (&done), NULL) : NULL;
#line 1077 "TaskManager.c"
				}
			}
		}
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_object_unref0 (stream_out);
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_object_unref0 (file_io_stream);
#line 1085 "TaskManager.c"
	}
	goto __finally5;
	__catch5_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp27_ = NULL;
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		e = _inner_error_;
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_inner_error_ = NULL;
#line 211 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_tmp27_ = e->message;
#line 211 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_error ("TaskManager.vala:211: %s", _tmp27_);
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		_g_error_free0 (e);
#line 1102 "TaskManager.c"
	}
	__finally5:
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_clear_error (&_inner_error_);
#line 187 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		return;
#line 1113 "TaskManager.c"
	}
}


static void value_task_manager_init (GValue* value) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	value->data[0].v_pointer = NULL;
#line 1121 "TaskManager.c"
}


static void value_task_manager_free_value (GValue* value) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (value->data[0].v_pointer) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_unref (value->data[0].v_pointer);
#line 1130 "TaskManager.c"
	}
}


static void value_task_manager_copy_value (const GValue* src_value, GValue* dest_value) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (src_value->data[0].v_pointer) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		dest_value->data[0].v_pointer = task_manager_ref (src_value->data[0].v_pointer);
#line 1140 "TaskManager.c"
	} else {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1144 "TaskManager.c"
	}
}


static gpointer value_task_manager_peek_pointer (const GValue* value) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return value->data[0].v_pointer;
#line 1152 "TaskManager.c"
}


static gchar* value_task_manager_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (collect_values[0].v_pointer) {
#line 1159 "TaskManager.c"
		TaskManager* object;
		object = collect_values[0].v_pointer;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		if (object->parent_instance.g_class == NULL) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1166 "TaskManager.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1170 "TaskManager.c"
		}
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		value->data[0].v_pointer = task_manager_ref (object);
#line 1174 "TaskManager.c"
	} else {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		value->data[0].v_pointer = NULL;
#line 1178 "TaskManager.c"
	}
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return NULL;
#line 1182 "TaskManager.c"
}


static gchar* value_task_manager_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	TaskManager** object_p;
	object_p = collect_values[0].v_pointer;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (!object_p) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1193 "TaskManager.c"
	}
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (!value->data[0].v_pointer) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		*object_p = NULL;
#line 1199 "TaskManager.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		*object_p = value->data[0].v_pointer;
#line 1203 "TaskManager.c"
	} else {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		*object_p = task_manager_ref (value->data[0].v_pointer);
#line 1207 "TaskManager.c"
	}
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return NULL;
#line 1211 "TaskManager.c"
}


GParamSpec* param_spec_task_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecTaskManager* spec;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_TASK_MANAGER), NULL);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return G_PARAM_SPEC (spec);
#line 1225 "TaskManager.c"
}


gpointer value_get_task_manager (const GValue* value) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_TASK_MANAGER), NULL);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return value->data[0].v_pointer;
#line 1234 "TaskManager.c"
}


void value_set_task_manager (GValue* value, gpointer v_object) {
	TaskManager* old;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_TASK_MANAGER));
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	old = value->data[0].v_pointer;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (v_object) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_TASK_MANAGER));
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		value->data[0].v_pointer = v_object;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_ref (value->data[0].v_pointer);
#line 1254 "TaskManager.c"
	} else {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		value->data[0].v_pointer = NULL;
#line 1258 "TaskManager.c"
	}
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (old) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_unref (old);
#line 1264 "TaskManager.c"
	}
}


void value_take_task_manager (GValue* value, gpointer v_object) {
	TaskManager* old;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_TASK_MANAGER));
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	old = value->data[0].v_pointer;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (v_object) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_TASK_MANAGER));
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		value->data[0].v_pointer = v_object;
#line 1283 "TaskManager.c"
	} else {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		value->data[0].v_pointer = NULL;
#line 1287 "TaskManager.c"
	}
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (old) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		task_manager_unref (old);
#line 1293 "TaskManager.c"
	}
}


static void task_manager_class_init (TaskManagerClass * klass) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	task_manager_parent_class = g_type_class_peek_parent (klass);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	((TaskManagerClass *) klass)->finalize = task_manager_finalize;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_type_class_add_private (klass, sizeof (TaskManagerPrivate));
#line 1305 "TaskManager.c"
}


static void task_manager_instance_init (TaskManager * self) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->priv = TASK_MANAGER_GET_PRIVATE (self);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self->ref_count = 1;
#line 1314 "TaskManager.c"
}


static void task_manager_finalize (TaskManager* obj) {
	TaskManager * self;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TASK_MANAGER, TaskManager);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_signal_handlers_destroy (self);
#line 25 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 27 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt_dir);
#line 28 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt);
#line 29 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->priv->done_txt);
#line 30 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->todo_store);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	_g_object_unref0 (self->done_store);
#line 1336 "TaskManager.c"
}


/**
 * This class is responsible for loading, saving and managing the user's tasks.
 * Therefore it offers methods for interacting with the set of tasks in all
 * lists. Editing specific tasks (e.g. removing, renaming) is to be done 
 * by addressing the corresponding TaskStore instance.
 */
GType task_manager_get_type (void) {
	static volatile gsize task_manager_type_id__volatile = 0;
	if (g_once_init_enter (&task_manager_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_task_manager_init, value_task_manager_free_value, value_task_manager_copy_value, value_task_manager_peek_pointer, "p", value_task_manager_collect_value, "p", value_task_manager_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (TaskManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) task_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TaskManager), 0, (GInstanceInitFunc) task_manager_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType task_manager_type_id;
		task_manager_type_id = g_type_register_fundamental (g_type_fundamental_next (), "TaskManager", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&task_manager_type_id__volatile, task_manager_type_id);
	}
	return task_manager_type_id__volatile;
}


gpointer task_manager_ref (gpointer instance) {
	TaskManager* self;
	self = instance;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	g_atomic_int_inc (&self->ref_count);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	return instance;
#line 1367 "TaskManager.c"
}


void task_manager_unref (gpointer instance) {
	TaskManager* self;
	self = instance;
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		TASK_MANAGER_GET_CLASS (self)->finalize (self);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskManager.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1380 "TaskManager.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



