/* TaskStore.c generated by valac 0.30.0, the Vala compiler
 * generated from TaskStore.vala, do not modify */

/* Copyright 2014 Manuel Kehl (mank319)
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>


#define TYPE_COLUMNS (columns_get_type ())

#define TYPE_TASK_STORE (task_store_get_type ())
#define TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_STORE, TaskStore))
#define TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_STORE, TaskStoreClass))
#define IS_TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_STORE))
#define IS_TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_STORE))
#define TASK_STORE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_STORE, TaskStoreClass))

typedef struct _TaskStore TaskStore;
typedef struct _TaskStoreClass TaskStoreClass;
typedef struct _TaskStorePrivate TaskStorePrivate;

typedef enum  {
	COLUMNS_TOGGLE,
	COLUMNS_TEXT,
	COLUMNS_DRAGHANDLE,
	COLUMNS_N_COLUMNS
} Columns;

struct _TaskStore {
	GtkListStore parent_instance;
	TaskStorePrivate * priv;
	gboolean done_by_default;
};

struct _TaskStoreClass {
	GtkListStoreClass parent_class;
};


static gpointer task_store_parent_class = NULL;

GType columns_get_type (void) G_GNUC_CONST;
GType task_store_get_type (void) G_GNUC_CONST;
enum  {
	TASK_STORE_DUMMY_PROPERTY
};
TaskStore* task_store_new (gboolean done_by_default);
TaskStore* task_store_construct (GType object_type, gboolean done_by_default);
static void task_store_trigger_task_data_changed (TaskStore* self);
static void _task_store_trigger_task_data_changed_gtk_tree_model_rows_reordered (GtkTreeModel* _sender, GtkTreePath* path, GtkTreeIter* iter, void* new_order, gpointer self);
static void _task_store_trigger_task_data_changed_gtk_tree_model_row_deleted (GtkTreeModel* _sender, GtkTreePath* path, gpointer self);
void task_store_add_task (TaskStore* self, const gchar* description);
void task_store_add_initial_task (TaskStore* self, const gchar* description, gboolean done);
void task_store_remove_task (TaskStore* self, GtkTreeIter* iter);
void task_store_edit_text (TaskStore* self, GtkTreeIter* iter, const gchar* text);
gboolean task_store_is_empty (TaskStore* self);
static void g_cclosure_user_marshal_VOID__BOXED (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void task_store_finalize (GObject* obj);


/**
 * An implementation of Gtk.ListStore that offers special functionality
 * targeted towards the storage of todo list entries
 */
GType columns_get_type (void) {
	static volatile gsize columns_type_id__volatile = 0;
	if (g_once_init_enter (&columns_type_id__volatile)) {
		static const GEnumValue values[] = {{COLUMNS_TOGGLE, "COLUMNS_TOGGLE", "toggle"}, {COLUMNS_TEXT, "COLUMNS_TEXT", "text"}, {COLUMNS_DRAGHANDLE, "COLUMNS_DRAGHANDLE", "draghandle"}, {COLUMNS_N_COLUMNS, "COLUMNS_N_COLUMNS", "n-columns"}, {0, NULL, NULL}};
		GType columns_type_id;
		columns_type_id = g_enum_register_static ("Columns", values);
		g_once_init_leave (&columns_type_id__volatile, columns_type_id);
	}
	return columns_type_id__volatile;
}


/**
     * Constructor of the TaskStore class
     */
static void _task_store_trigger_task_data_changed_gtk_tree_model_rows_reordered (GtkTreeModel* _sender, GtkTreePath* path, GtkTreeIter* iter, void* new_order, gpointer self) {
#line 53 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	task_store_trigger_task_data_changed ((TaskStore*) self);
#line 103 "TaskStore.c"
}


static void _task_store_trigger_task_data_changed_gtk_tree_model_row_deleted (GtkTreeModel* _sender, GtkTreePath* path, gpointer self) {
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	task_store_trigger_task_data_changed ((TaskStore*) self);
#line 110 "TaskStore.c"
}


TaskStore* task_store_construct (GType object_type, gboolean done_by_default) {
	TaskStore * self = NULL;
	gboolean _tmp0_ = FALSE;
	GType* _tmp1_ = NULL;
	GType* _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	self = (TaskStore*) g_object_new (object_type, NULL);
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp0_ = done_by_default;
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	self->done_by_default = _tmp0_;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_ = g_new0 (GType, 3);
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_[0] = G_TYPE_BOOLEAN;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_[1] = G_TYPE_STRING;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_[2] = G_TYPE_STRING;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp2_ = _tmp1_;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp2__length1 = 3;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	gtk_list_store_set_column_types (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_list_store_get_type (), GtkListStore), 3, _tmp2_);
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp2_ = (g_free (_tmp2_), NULL);
#line 53 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_signal_connect_object ((GtkTreeModel*) self, "rows-reordered", (GCallback) _task_store_trigger_task_data_changed_gtk_tree_model_rows_reordered, self, 0);
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_signal_connect_object ((GtkTreeModel*) self, "row-deleted", (GCallback) _task_store_trigger_task_data_changed_gtk_tree_model_row_deleted, self, 0);
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	return self;
#line 148 "TaskStore.c"
}


TaskStore* task_store_new (gboolean done_by_default) {
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	return task_store_construct (TYPE_TASK_STORE, done_by_default);
#line 155 "TaskStore.c"
}


static void task_store_trigger_task_data_changed (TaskStore* self) {
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_signal_emit_by_name (self, "task-data-changed");
#line 164 "TaskStore.c"
}


/** 
     * To be called when an actually new task is to be added to the list.
     * Therefore it does not need a "done" parameter, as one can determine
     * that by observing the type of list to be added to.
     */
void task_store_add_task (TaskStore* self, const gchar* description) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 67 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 67 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (description != NULL);
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp0_ = description;
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_ = g_strstrip (_tmp0_);
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	if (g_strcmp0 (_tmp1_, "") != 0) {
#line 186 "TaskStore.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		_tmp2_ = description;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		_tmp3_ = self->done_by_default;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		task_store_add_initial_task (self, _tmp2_, _tmp3_);
#line 71 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		g_signal_emit_by_name (self, "task-data-changed");
#line 197 "TaskStore.c"
	}
}


/**
     * Removes the given task from the list.
     */
void task_store_remove_task (TaskStore* self, GtkTreeIter* iter) {
	GtkTreeIter _tmp0_ = {0};
#line 78 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 78 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (iter != NULL);
#line 79 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp0_ = *iter;
#line 79 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	gtk_list_store_remove ((GtkListStore*) self, &_tmp0_);
#line 215 "TaskStore.c"
}


/**
     * Function for adding a task on application startup.
     * When tasks are added initially, the "task_data_changed" signal
     * is not emmited.
     */
void task_store_add_initial_task (TaskStore* self, const gchar* description, gboolean done) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (description != NULL);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp0_ = done;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_ = description;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	gtk_list_store_insert_with_values ((GtkListStore*) self, NULL, -1, COLUMNS_TOGGLE, _tmp0_, COLUMNS_TEXT, _tmp1_, COLUMNS_DRAGHANDLE, "view-list-symbolic", -1, -1);
#line 237 "TaskStore.c"
}


/**
     * Function for modifying the text of a specific task.
     */
void task_store_edit_text (TaskStore* self, GtkTreeIter* iter, const gchar* text) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (iter != NULL);
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (text != NULL);
#line 100 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp0_ = text;
#line 100 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_ = g_strstrip (_tmp0_);
#line 100 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	if (g_strcmp0 (_tmp1_, "") != 0) {
#line 259 "TaskStore.c"
		GtkTreeIter _tmp2_ = {0};
		const gchar* _tmp3_ = NULL;
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		_tmp2_ = *iter;
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		_tmp3_ = text;
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		gtk_list_store_set ((GtkListStore*) self, &_tmp2_, 1, _tmp3_, -1);
#line 102 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		g_signal_emit_by_name (self, "task-data-changed");
#line 270 "TaskStore.c"
	} else {
		GtkTreeIter _tmp4_ = {0};
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		_tmp4_ = *iter;
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		task_store_remove_task (self, &_tmp4_);
#line 277 "TaskStore.c"
	}
}


/**
     * Checks if the TaskStore is empty
     */
gboolean task_store_is_empty (TaskStore* self) {
	gboolean result = FALSE;
	GtkTreeIter tmp = {0};
	GtkTreeIter _tmp0_ = {0};
	gboolean _tmp1_ = FALSE;
#line 111 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	_tmp1_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) self, &_tmp0_);
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	tmp = _tmp0_;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	result = !_tmp1_;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	return result;
#line 300 "TaskStore.c"
}


static void g_cclosure_user_marshal_VOID__BOXED (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__BOXED) (gpointer data1, gpointer arg_1, gpointer data2);
	register GMarshalFunc_VOID__BOXED callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_return_if_fail (n_param_values == 2);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		data1 = closure->data;
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		data2 = param_values->data[0].v_pointer;
#line 319 "TaskStore.c"
	} else {
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		data1 = param_values->data[0].v_pointer;
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
		data2 = closure->data;
#line 325 "TaskStore.c"
	}
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	callback = (GMarshalFunc_VOID__BOXED) (marshal_data ? marshal_data : cc->callback);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	callback (data1, g_value_get_boxed (param_values + 1), data2);
#line 331 "TaskStore.c"
}


static void task_store_class_init (TaskStoreClass * klass) {
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	task_store_parent_class = g_type_class_peek_parent (klass);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	G_OBJECT_CLASS (klass)->finalize = task_store_finalize;
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_signal_new ("task_data_changed", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	g_signal_new ("task_done_changed", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__BOXED, G_TYPE_NONE, 1, GTK_TYPE_TREE_ITER);
#line 344 "TaskStore.c"
}


static void task_store_instance_init (TaskStore * self) {
}


static void task_store_finalize (GObject* obj) {
	TaskStore * self;
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TASK_STORE, TaskStore);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/TaskStore.vala"
	G_OBJECT_CLASS (task_store_parent_class)->finalize (obj);
#line 358 "TaskStore.c"
}


GType task_store_get_type (void) {
	static volatile gsize task_store_type_id__volatile = 0;
	if (g_once_init_enter (&task_store_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (TaskStoreClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) task_store_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TaskStore), 0, (GInstanceInitFunc) task_store_instance_init, NULL };
		GType task_store_type_id;
		task_store_type_id = g_type_register_static (gtk_list_store_get_type (), "TaskStore", &g_define_type_info, 0);
		g_once_init_leave (&task_store_type_id__volatile, task_store_type_id);
	}
	return task_store_type_id__volatile;
}



