/* SettingsDialog.c generated by valac 0.30.0, the Vala compiler
 * generated from SettingsDialog.vala, do not modify */

/* Copyright 2014 Manuel Kehl (mank319)
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>


#define TYPE_SETTINGS_DIALOG (settings_dialog_get_type ())
#define SETTINGS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_DIALOG, SettingsDialog))
#define SETTINGS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_DIALOG, SettingsDialogClass))
#define IS_SETTINGS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_DIALOG))
#define IS_SETTINGS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_DIALOG))
#define SETTINGS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_DIALOG, SettingsDialogClass))

typedef struct _SettingsDialog SettingsDialog;
typedef struct _SettingsDialogClass SettingsDialogClass;
typedef struct _SettingsDialogPrivate SettingsDialogPrivate;

#define TYPE_SETTINGS_MANAGER (settings_manager_get_type ())
#define SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_MANAGER, SettingsManager))
#define SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_MANAGER, SettingsManagerClass))
#define IS_SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_MANAGER))
#define IS_SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_MANAGER))
#define SETTINGS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_MANAGER, SettingsManagerClass))

typedef struct _SettingsManager SettingsManager;
typedef struct _SettingsManagerClass SettingsManagerClass;
#define _settings_manager_unref0(var) ((var == NULL) ? NULL : (var = (settings_manager_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block2Data Block2Data;
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _SettingsDialog {
	GtkDialog parent_instance;
	SettingsDialogPrivate * priv;
};

struct _SettingsDialogClass {
	GtkDialogClass parent_class;
};

struct _SettingsDialogPrivate {
	SettingsManager* settings;
	GtkGrid* main_layout;
	GtkLabel* welcome_lbl;
	GtkLabel* settings_lbl;
	GtkLabel* directory_lbl;
	GtkFileChooserButton* directory_btn;
	GtkLabel* task_lbl;
	GtkSpinButton* task_spin;
	GtkLabel* break_lbl;
	GtkSpinButton* break_spin;
	GtkLabel* reminder_lbl;
	GtkSpinButton* reminder_spin;
};

struct _Block2Data {
	int _ref_count_;
	SettingsDialog* self;
	SettingsManager* settings;
};


static gpointer settings_dialog_parent_class = NULL;

GType settings_dialog_get_type (void) G_GNUC_CONST;
gpointer settings_manager_ref (gpointer instance);
void settings_manager_unref (gpointer instance);
GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_settings_manager (GValue* value, gpointer v_object);
void value_take_settings_manager (GValue* value, gpointer v_object);
gpointer value_get_settings_manager (const GValue* value);
GType settings_manager_get_type (void) G_GNUC_CONST;
#define SETTINGS_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SETTINGS_DIALOG, SettingsDialogPrivate))
enum  {
	SETTINGS_DIALOG_DUMMY_PROPERTY
};
SettingsDialog* settings_dialog_new (gboolean first_start, SettingsManager* settings);
SettingsDialog* settings_dialog_construct (GType object_type, gboolean first_start, SettingsManager* settings);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static void settings_dialog_setup_welcome (SettingsDialog* self);
static void settings_dialog_setup_settings_widgets (SettingsDialog* self, gboolean advanced);
static void ___lambda8_ (Block2Data* _data2_, GtkDialog* e);
static void ____lambda8__gtk_dialog_close (GtkDialog* _sender, gpointer self);
static void __lambda9_ (SettingsDialog* self, GtkDialog* s, gint response);
static void ___lambda9__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self);
gchar* settings_manager_get_todo_txt_location (SettingsManager* self);
static void __lambda4_ (SettingsDialog* self, GtkFileChooserButton* e);
void settings_manager_set_todo_txt_location (SettingsManager* self, const gchar* value);
static void ___lambda4__gtk_file_chooser_button_file_set (GtkFileChooserButton* _sender, gpointer self);
static void settings_dialog_setup_advanced_settings_widgets (SettingsDialog* self);
gint settings_manager_get_task_duration (SettingsManager* self);
gint settings_manager_get_break_duration (SettingsManager* self);
gint settings_manager_get_reminder_time (SettingsManager* self);
static void __lambda5_ (SettingsDialog* self, GtkSpinButton* e);
void settings_manager_set_task_duration (SettingsManager* self, gint value);
static void ___lambda5__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda6_ (SettingsDialog* self, GtkSpinButton* e);
void settings_manager_set_break_duration (SettingsManager* self, gint value);
static void ___lambda6__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda7_ (SettingsDialog* self, GtkSpinButton* e);
void settings_manager_set_reminder_time (SettingsManager* self, gint value);
static void ___lambda7__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void settings_dialog_finalize (GObject* obj);


static gpointer _settings_manager_ref0 (gpointer self) {
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	return self ? settings_manager_ref (self) : NULL;
#line 136 "SettingsDialog.c"
}


static Block2Data* block2_data_ref (Block2Data* _data2_) {
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	return _data2_;
#line 145 "SettingsDialog.c"
}


static void block2_data_unref (void * _userdata_) {
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 154 "SettingsDialog.c"
		SettingsDialog* self;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		self = _data2_->self;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		_settings_manager_unref0 (_data2_->settings);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		_g_object_unref0 (self);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		g_slice_free (Block2Data, _data2_);
#line 164 "SettingsDialog.c"
	}
}


static void ___lambda8_ (Block2Data* _data2_, GtkDialog* e) {
	SettingsDialog* self;
	SettingsDialog* new_dia = NULL;
	SettingsManager* _tmp0_ = NULL;
	SettingsDialog* _tmp1_ = NULL;
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self = _data2_->self;
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = _data2_->settings;
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = settings_dialog_new (TRUE, _tmp0_);
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	new_dia = _tmp1_;
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_widget_show ((GtkWidget*) new_dia);
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (new_dia);
#line 190 "SettingsDialog.c"
}


static void ____lambda8__gtk_dialog_close (GtkDialog* _sender, gpointer self) {
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	___lambda8_ (self, _sender);
#line 197 "SettingsDialog.c"
}


static void __lambda9_ (SettingsDialog* self, GtkDialog* s, gint response) {
	gint _tmp0_ = 0;
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (s != NULL);
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = response;
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	if (_tmp0_ == ((gint) GTK_RESPONSE_CLOSE)) {
#line 76 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 211 "SettingsDialog.c"
	}
}


static void ___lambda9__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self) {
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	__lambda9_ ((SettingsDialog*) self, _sender, response_id);
#line 219 "SettingsDialog.c"
}


SettingsDialog* settings_dialog_construct (GType object_type, gboolean first_start, SettingsManager* settings) {
	SettingsDialog * self = NULL;
	Block2Data* _data2_;
	SettingsManager* _tmp0_ = NULL;
	SettingsManager* _tmp1_ = NULL;
	SettingsManager* _tmp2_ = NULL;
	SettingsManager* _tmp3_ = NULL;
	GtkGrid* _tmp4_ = NULL;
	GtkBox* _tmp5_ = NULL;
	GtkBox* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
	gboolean _tmp11_ = FALSE;
	GtkGrid* _tmp12_ = NULL;
	GList* _tmp13_ = NULL;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_val_if_fail (settings != NULL, NULL);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_data2_->_ref_count_ = 1;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = settings;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = _settings_manager_ref0 (_tmp0_);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_settings_manager_unref0 (_data2_->settings);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_data2_->settings = _tmp1_;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self = (SettingsDialog*) g_object_new (object_type, NULL);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_data2_->self = g_object_ref (self);
#line 37 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = _data2_->settings;
#line 37 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp3_ = _settings_manager_ref0 (_tmp2_);
#line 37 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 37 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->settings = _tmp3_;
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp4_ = (GtkGrid*) gtk_grid_new ();
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->main_layout);
#line 39 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->main_layout = _tmp4_;
#line 42 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_window_set_default_size ((GtkWindow*) self, 450, 500);
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp5_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 43 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_set ((GtkWidget*) _tmp5_, "margin", 10, NULL);
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp6_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp7_ = self->priv->main_layout;
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_box_pack_start (_tmp6_, (GtkWidget*) _tmp7_, TRUE, TRUE, (guint) 0);
#line 45 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp8_ = self->priv->main_layout;
#line 45 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp8_, TRUE);
#line 46 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp9_ = self->priv->main_layout;
#line 46 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp9_, GTK_ORIENTATION_VERTICAL);
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp10_ = self->priv->main_layout;
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_grid_set_row_spacing (_tmp10_, 15);
#line 50 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp11_ = first_start;
#line 50 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	if (_tmp11_) {
#line 51 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		gtk_window_set_title ((GtkWindow*) self, "Welcome");
#line 52 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		settings_dialog_setup_welcome (self);
#line 53 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		settings_dialog_setup_settings_widgets (self, FALSE);
#line 54 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		gtk_dialog_add_button ((GtkDialog*) self, "Let's go!", (gint) GTK_RESPONSE_CLOSE);
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		g_signal_connect_data ((GtkDialog*) self, "close", (GCallback) ____lambda8__gtk_dialog_close, block2_data_ref (_data2_), (GClosureNotify) block2_data_unref, 0);
#line 314 "SettingsDialog.c"
	} else {
#line 62 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		gtk_window_set_title ((GtkWindow*) self, "Settings");
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		settings_dialog_setup_settings_widgets (self, TRUE);
#line 64 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		gtk_dialog_add_button ((GtkDialog*) self, "Close", (gint) GTK_RESPONSE_CLOSE);
#line 322 "SettingsDialog.c"
	}
#line 68 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp12_ = self->priv->main_layout;
#line 68 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp13_ = gtk_container_get_children ((GtkContainer*) _tmp12_);
#line 328 "SettingsDialog.c"
	{
		GList* child_collection = NULL;
		GList* child_it = NULL;
#line 68 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		child_collection = _tmp13_;
#line 68 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		for (child_it = child_collection; child_it != NULL; child_it = child_it->next) {
#line 336 "SettingsDialog.c"
			GtkWidget* child = NULL;
#line 68 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
			child = (GtkWidget*) child_it->data;
#line 340 "SettingsDialog.c"
			{
				GtkWidget* _tmp14_ = NULL;
				GtkWidget* _tmp15_ = NULL;
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
				_tmp14_ = child;
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
				gtk_widget_set_visible (_tmp14_, TRUE);
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
				_tmp15_ = child;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
				gtk_widget_set_halign (_tmp15_, GTK_ALIGN_START);
#line 352 "SettingsDialog.c"
			}
		}
#line 68 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		_g_list_free0 (child_collection);
#line 357 "SettingsDialog.c"
	}
#line 74 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_signal_connect_object ((GtkDialog*) self, "response", (GCallback) ___lambda9__gtk_dialog_response, self, 0);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	block2_data_unref (_data2_);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_data2_ = NULL;
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	return self;
#line 367 "SettingsDialog.c"
}


SettingsDialog* settings_dialog_new (gboolean first_start, SettingsManager* settings) {
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	return settings_dialog_construct (TYPE_SETTINGS_DIALOG, first_start, settings);
#line 374 "SettingsDialog.c"
}


/** 
     * Displays a welcome message with basic information about Go For It!
     */
static void settings_dialog_setup_welcome (SettingsDialog* self) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
#line 84 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 85 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new ("<b>Welcome to <i>Go For It!</i></b>\n" \
"\n" \
"Your stylish to-do list with built-in productivity timer.\n" \
"\n" \
"To develop cool, new features and keep the project \n" \
"running, I rely on your <a href=\"https://github.com/mank319/Go-For-It" \
"\">contributions</a> and <a href=\"http://manuel-kehl.de/donations\">d" \
"onations</a>.\n" \
"\n" \
"Thank you!\n");
#line 85 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 85 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->welcome_lbl);
#line 85 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->welcome_lbl = _tmp0_;
#line 97 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = self->priv->welcome_lbl;
#line 97 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_label_set_use_markup (_tmp1_, TRUE);
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = self->priv->welcome_lbl;
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_label_set_line_wrap (_tmp2_, FALSE);
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp3_ = self->priv->main_layout;
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp4_ = self->priv->welcome_lbl;
#line 101 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp3_, (GtkWidget*) _tmp4_);
#line 411 "SettingsDialog.c"
}


static void __lambda4_ (SettingsDialog* self, GtkFileChooserButton* e) {
	gchar* todo_dir = NULL;
	GtkFileChooserButton* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	SettingsManager* _tmp5_ = NULL;
#line 119 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->directory_btn;
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = gtk_file_chooser_get_file ((GtkFileChooser*) _tmp0_);
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = _tmp1_;
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp3_ = g_file_get_path (_tmp2_);
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp4_ = _tmp3_;
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (_tmp2_);
#line 120 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	todo_dir = _tmp4_;
#line 121 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp5_ = self->priv->settings;
#line 121 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	settings_manager_set_todo_txt_location (_tmp5_, todo_dir);
#line 119 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_free0 (todo_dir);
#line 445 "SettingsDialog.c"
}


static void ___lambda4__gtk_file_chooser_button_file_set (GtkFileChooserButton* _sender, gpointer self) {
#line 119 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	__lambda4_ ((SettingsDialog*) self, _sender);
#line 452 "SettingsDialog.c"
}


static void settings_dialog_setup_settings_widgets (SettingsDialog* self, gboolean advanced) {
	GtkLabel* _tmp0_ = NULL;
	GtkFileChooserButton* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkFileChooserButton* _tmp5_ = NULL;
	GtkFileChooserButton* _tmp6_ = NULL;
	SettingsManager* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	GtkFileChooserButton* _tmp11_ = NULL;
	GtkGrid* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkGrid* _tmp14_ = NULL;
	GtkLabel* _tmp15_ = NULL;
	GtkGrid* _tmp16_ = NULL;
	GtkFileChooserButton* _tmp17_ = NULL;
	gboolean _tmp18_ = FALSE;
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new ("<b>Settings</b>");
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->settings_lbl);
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->settings_lbl = _tmp0_;
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = (GtkFileChooserButton*) gtk_file_chooser_button_new ("Todo.txt directory", GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->directory_btn);
#line 107 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->directory_btn = _tmp1_;
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new ("<a href=\"http://todotxt.com\">Todo.txt</a> directory:");
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->directory_lbl);
#line 109 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->directory_lbl = _tmp2_;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp3_ = self->priv->settings_lbl;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_label_set_use_markup (_tmp3_, TRUE);
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp4_ = self->priv->directory_lbl;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_label_set_use_markup (_tmp4_, TRUE);
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp5_ = self->priv->directory_btn;
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_file_chooser_set_create_folders ((GtkFileChooser*) _tmp5_, TRUE);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp6_ = self->priv->directory_btn;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp7_ = self->priv->settings;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp8_ = settings_manager_get_todo_txt_location (_tmp7_);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp9_ = _tmp8_;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp10_ = _tmp9_;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp6_, _tmp10_);
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_free0 (_tmp10_);
#line 119 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp11_ = self->priv->directory_btn;
#line 119 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_signal_connect_object (_tmp11_, "file-set", (GCallback) ___lambda4__gtk_file_chooser_button_file_set, self, 0);
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp12_ = self->priv->main_layout;
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp13_ = self->priv->settings_lbl;
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp14_ = self->priv->main_layout;
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp15_ = self->priv->directory_lbl;
#line 126 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp14_, (GtkWidget*) _tmp15_);
#line 127 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp16_ = self->priv->main_layout;
#line 127 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp17_ = self->priv->directory_btn;
#line 127 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp16_, (GtkWidget*) _tmp17_);
#line 129 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp18_ = advanced;
#line 129 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	if (_tmp18_) {
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
		settings_dialog_setup_advanced_settings_widgets (self);
#line 556 "SettingsDialog.c"
	}
}


static void __lambda5_ (SettingsDialog* self, GtkSpinButton* e) {
	SettingsManager* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	gint _tmp2_ = 0;
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = self->priv->task_spin;
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = gtk_spin_button_get_value_as_int (_tmp1_);
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	settings_manager_set_task_duration (_tmp0_, _tmp2_ * 60);
#line 575 "SettingsDialog.c"
}


static void ___lambda5__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	__lambda5_ ((SettingsDialog*) self, _sender);
#line 582 "SettingsDialog.c"
}


static void __lambda6_ (SettingsDialog* self, GtkSpinButton* e) {
	SettingsManager* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	gint _tmp2_ = 0;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 156 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 156 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = self->priv->break_spin;
#line 156 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = gtk_spin_button_get_value_as_int (_tmp1_);
#line 156 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	settings_manager_set_break_duration (_tmp0_, _tmp2_ * 60);
#line 600 "SettingsDialog.c"
}


static void ___lambda6__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	__lambda6_ ((SettingsDialog*) self, _sender);
#line 607 "SettingsDialog.c"
}


static void __lambda7_ (SettingsDialog* self, GtkSpinButton* e) {
	SettingsManager* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	gint _tmp2_ = 0;
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = self->priv->reminder_spin;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = gtk_spin_button_get_value_as_int (_tmp1_);
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	settings_manager_set_reminder_time (_tmp0_, _tmp2_);
#line 625 "SettingsDialog.c"
}


static void ___lambda7__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	__lambda7_ ((SettingsDialog*) self, _sender);
#line 632 "SettingsDialog.c"
}


static void settings_dialog_setup_advanced_settings_widgets (SettingsDialog* self) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkSpinButton* _tmp3_ = NULL;
	GtkSpinButton* _tmp4_ = NULL;
	GtkSpinButton* _tmp5_ = NULL;
	GtkSpinButton* _tmp6_ = NULL;
	SettingsManager* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	GtkSpinButton* _tmp10_ = NULL;
	SettingsManager* _tmp11_ = NULL;
	gint _tmp12_ = 0;
	gint _tmp13_ = 0;
	GtkSpinButton* _tmp14_ = NULL;
	SettingsManager* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	GtkSpinButton* _tmp18_ = NULL;
	GtkSpinButton* _tmp19_ = NULL;
	GtkSpinButton* _tmp20_ = NULL;
	GtkGrid* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkGrid* _tmp23_ = NULL;
	GtkSpinButton* _tmp24_ = NULL;
	GtkGrid* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkGrid* _tmp27_ = NULL;
	GtkSpinButton* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
	GtkLabel* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
	GtkSpinButton* _tmp32_ = NULL;
#line 135 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new ("Task Duration in Minutes:");
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->task_lbl);
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->task_lbl = _tmp0_;
#line 138 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new ("Break Duration in Minutes:");
#line 138 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 138 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->break_lbl);
#line 138 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->break_lbl = _tmp1_;
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new ("Reminder Time in Seconds (0 to disable):");
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->reminder_lbl);
#line 139 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->reminder_lbl = _tmp2_;
#line 141 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp3_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) 1439, (gdouble) 1);
#line 141 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp3_);
#line 141 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->task_spin);
#line 141 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->task_spin = _tmp3_;
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp4_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) 1439, (gdouble) 1);
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->break_spin);
#line 142 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->break_spin = _tmp4_;
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp5_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 600, (gdouble) 1);
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->reminder_spin);
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv->reminder_spin = _tmp5_;
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp6_ = self->priv->task_spin;
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp7_ = self->priv->settings;
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp8_ = settings_manager_get_task_duration (_tmp7_);
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp9_ = _tmp8_;
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_spin_button_set_value (_tmp6_, (gdouble) (_tmp9_ / 60));
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp10_ = self->priv->break_spin;
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp11_ = self->priv->settings;
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp12_ = settings_manager_get_break_duration (_tmp11_);
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp13_ = _tmp12_;
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_spin_button_set_value (_tmp10_, (gdouble) (_tmp13_ / 60));
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp14_ = self->priv->reminder_spin;
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp15_ = self->priv->settings;
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp16_ = settings_manager_get_reminder_time (_tmp15_);
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp17_ = _tmp16_;
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_spin_button_set_value (_tmp14_, (gdouble) _tmp17_);
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp18_ = self->priv->task_spin;
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_signal_connect_object (_tmp18_, "value-changed", (GCallback) ___lambda5__gtk_spin_button_value_changed, self, 0);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp19_ = self->priv->break_spin;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_signal_connect_object (_tmp19_, "value-changed", (GCallback) ___lambda6__gtk_spin_button_value_changed, self, 0);
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp20_ = self->priv->reminder_spin;
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_signal_connect_object (_tmp20_, "value-changed", (GCallback) ___lambda7__gtk_spin_button_value_changed, self, 0);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp21_ = self->priv->main_layout;
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp22_ = self->priv->task_lbl;
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp22_);
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp23_ = self->priv->main_layout;
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp24_ = self->priv->task_spin;
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp23_, (GtkWidget*) _tmp24_);
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp25_ = self->priv->main_layout;
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp26_ = self->priv->break_lbl;
#line 165 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp25_, (GtkWidget*) _tmp26_);
#line 166 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp27_ = self->priv->main_layout;
#line 166 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp28_ = self->priv->break_spin;
#line 166 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp27_, (GtkWidget*) _tmp28_);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp29_ = self->priv->main_layout;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp30_ = self->priv->reminder_lbl;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp31_ = self->priv->main_layout;
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_tmp32_ = self->priv->reminder_spin;
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp31_, (GtkWidget*) _tmp32_);
#line 798 "SettingsDialog.c"
}


static void settings_dialog_class_init (SettingsDialogClass * klass) {
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	settings_dialog_parent_class = g_type_class_peek_parent (klass);
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	g_type_class_add_private (klass, sizeof (SettingsDialogPrivate));
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = settings_dialog_finalize;
#line 809 "SettingsDialog.c"
}


static void settings_dialog_instance_init (SettingsDialog * self) {
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self->priv = SETTINGS_DIALOG_GET_PRIVATE (self);
#line 816 "SettingsDialog.c"
}


static void settings_dialog_finalize (GObject* obj) {
	SettingsDialog * self;
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SETTINGS_DIALOG, SettingsDialog);
#line 22 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 24 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->main_layout);
#line 25 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->welcome_lbl);
#line 26 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->settings_lbl);
#line 27 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->directory_lbl);
#line 28 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->directory_btn);
#line 29 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->task_lbl);
#line 30 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->task_spin);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->break_lbl);
#line 32 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->break_spin);
#line 33 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->reminder_lbl);
#line 34 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->reminder_spin);
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/SettingsDialog.vala"
	G_OBJECT_CLASS (settings_dialog_parent_class)->finalize (obj);
#line 850 "SettingsDialog.c"
}


/**
 * The widget for selecting, displaying and controlling the active task.
 */
GType settings_dialog_get_type (void) {
	static volatile gsize settings_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&settings_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (SettingsDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) settings_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SettingsDialog), 0, (GInstanceInitFunc) settings_dialog_instance_init, NULL };
		GType settings_dialog_type_id;
		settings_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "SettingsDialog", &g_define_type_info, 0);
		g_once_init_leave (&settings_dialog_type_id__volatile, settings_dialog_type_id);
	}
	return settings_dialog_type_id__volatile;
}



