/* TimerView.c generated by valac 0.30.0, the Vala compiler
 * generated from TimerView.vala, do not modify */

/* Copyright 2014 Manuel Kehl (mank319)
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>


#define TYPE_TIMER_VIEW (timer_view_get_type ())
#define TIMER_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TIMER_VIEW, TimerView))
#define TIMER_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TIMER_VIEW, TimerViewClass))
#define IS_TIMER_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TIMER_VIEW))
#define IS_TIMER_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TIMER_VIEW))
#define TIMER_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TIMER_VIEW, TimerViewClass))

typedef struct _TimerView TimerView;
typedef struct _TimerViewClass TimerViewClass;
typedef struct _TimerViewPrivate TimerViewPrivate;

#define TYPE_TASK_TIMER (task_timer_get_type ())
#define TASK_TIMER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_TIMER, TaskTimer))
#define TASK_TIMER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_TIMER, TaskTimerClass))
#define IS_TASK_TIMER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_TIMER))
#define IS_TASK_TIMER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_TIMER))
#define TASK_TIMER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_TIMER, TaskTimerClass))

typedef struct _TaskTimer TaskTimer;
typedef struct _TaskTimerClass TaskTimerClass;
#define _task_timer_unref0(var) ((var == NULL) ? NULL : (var = (task_timer_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _Block1Data Block1Data;

struct _TimerView {
	GtkGrid parent_instance;
	TimerViewPrivate * priv;
	GtkButton* done_btn;
};

struct _TimerViewClass {
	GtkGridClass parent_class;
};

struct _TimerViewPrivate {
	TaskTimer* timer;
	GtkProgressBar* progress;
	GtkLabel* task_status_lbl;
	GtkLabel* task_description_lbl;
	GtkGrid* timer_grid;
	GtkSpinButton* h_spin;
	GtkSpinButton* m_spin;
	GtkSpinButton* s_spin;
	GtkGrid* action_grid;
	GtkGrid* action_timer_grid;
	GtkGrid* action_task_grid;
	GtkButton* run_btn;
	GtkButton* skip_btn;
};

struct _Block1Data {
	int _ref_count_;
	TimerView* self;
	GtkSpinButton* spin;
};


static gpointer timer_view_parent_class = NULL;

GType timer_view_get_type (void) G_GNUC_CONST;
gpointer task_timer_ref (gpointer instance);
void task_timer_unref (gpointer instance);
GParamSpec* param_spec_task_timer (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_task_timer (GValue* value, gpointer v_object);
void value_take_task_timer (GValue* value, gpointer v_object);
gpointer value_get_task_timer (const GValue* value);
GType task_timer_get_type (void) G_GNUC_CONST;
#define TIMER_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_TIMER_VIEW, TimerViewPrivate))
enum  {
	TIMER_VIEW_DUMMY_PROPERTY
};
TimerView* timer_view_new (TaskTimer* timer);
TimerView* timer_view_construct (GType object_type, TaskTimer* timer);
static void timer_view_setup_task_widgets (TimerView* self);
static void timer_view_setup_timer_container (TimerView* self);
static void timer_view_setup_action_container (TimerView* self);
static void timer_view_setup_progress_bar (TimerView* self);
void timer_view_set_running (TimerView* self, gboolean running);
gboolean task_timer_get_running (TaskTimer* self);
void timer_view_set_time (TimerView* self, GDateTime* time);
static void _timer_view_set_time_task_timer_timer_updated (TaskTimer* _sender, GDateTime* remaining_duration, gpointer self);
static void _timer_view_set_running_task_timer_timer_running_changed (TaskTimer* _sender, gboolean running, gpointer self);
static void timer_view_timer_active_task_changed (TimerView* self, const GtkTreeRowReference* reference, gboolean break_active);
static void _timer_view_timer_active_task_changed_task_timer_active_task_changed (TaskTimer* _sender, const GtkTreeRowReference* task, gboolean break_active, gpointer self);
static void __lambda22_ (TimerView* self, TaskTimer* s, gdouble p);
static void ___lambda22__task_timer_timer_updated_relative (TaskTimer* _sender, gdouble progress, gpointer self);
void task_timer_update (TaskTimer* self);
gchar* gofi_utils_tree_row_ref_to_task (const GtkTreeRowReference* reference);
gboolean task_timer_get_break_active (TaskTimer* self);
static void ___lambda20_ (TimerView* self, GtkButton* e);
void task_timer_stop (TaskTimer* self);
static void ____lambda20__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void ___lambda21_ (TimerView* self, GtkButton* e);
void task_timer_start (TaskTimer* self);
static void ____lambda21__gtk_button_clicked (GtkButton* _sender, gpointer self);
GDateTime* timer_view_get_timer_values (TimerView* self);
static void timer_view_use_leading_zeros (TimerView* self, GtkSpinButton* spin);
static void __lambda15_ (TimerView* self);
void task_timer_set_remaining_duration (TaskTimer* self, GDateTime* value);
static void ___lambda15__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda16_ (TimerView* self);
static void ___lambda16__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda17_ (TimerView* self);
static void ___lambda17__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static gboolean __lambda14_ (Block1Data* _data1_, GtkSpinButton* s);
static gboolean ___lambda14__gtk_spin_button_output (GtkSpinButton* _sender, gpointer self);
static void __lambda18_ (TimerView* self, GtkButton* e);
void task_timer_end_iteration (TaskTimer* self);
static void ___lambda18__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda19_ (TimerView* self, GtkButton* e);
void task_timer_set_active_task_done (TaskTimer* self);
static void ___lambda19__gtk_button_clicked (GtkButton* _sender, gpointer self);
void timer_view_show_no_task (TimerView* self);
static void timer_view_finalize (GObject* obj);


static gpointer _task_timer_ref0 (gpointer self) {
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return self ? task_timer_ref (self) : NULL;
#line 154 "TimerView.c"
}


static void _timer_view_set_time_task_timer_timer_updated (TaskTimer* _sender, GDateTime* remaining_duration, gpointer self) {
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_set_time ((TimerView*) self, remaining_duration);
#line 161 "TimerView.c"
}


static void _timer_view_set_running_task_timer_timer_running_changed (TaskTimer* _sender, gboolean running, gpointer self) {
#line 56 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_set_running ((TimerView*) self, running);
#line 168 "TimerView.c"
}


static void _timer_view_timer_active_task_changed_task_timer_active_task_changed (TaskTimer* _sender, const GtkTreeRowReference* task, gboolean break_active, gpointer self) {
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_timer_active_task_changed ((TimerView*) self, task, break_active);
#line 175 "TimerView.c"
}


static void __lambda22_ (TimerView* self, TaskTimer* s, gdouble p) {
	GtkProgressBar* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (s != NULL);
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->progress;
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = p;
#line 59 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_progress_bar_set_fraction (_tmp0_, _tmp1_);
#line 190 "TimerView.c"
}


static void ___lambda22__task_timer_timer_updated_relative (TaskTimer* _sender, gdouble progress, gpointer self) {
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	__lambda22_ ((TimerView*) self, _sender, progress);
#line 197 "TimerView.c"
}


TimerView* timer_view_construct (GType object_type, TaskTimer* timer) {
	TimerView * self = NULL;
	TaskTimer* _tmp0_ = NULL;
	TaskTimer* _tmp1_ = NULL;
	TaskTimer* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	TaskTimer* _tmp5_ = NULL;
	TaskTimer* _tmp6_ = NULL;
	TaskTimer* _tmp7_ = NULL;
	TaskTimer* _tmp8_ = NULL;
	TaskTimer* _tmp9_ = NULL;
#line 40 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_val_if_fail (timer != NULL, NULL);
#line 40 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self = (TimerView*) g_object_new (object_type, NULL);
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = timer;
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = _task_timer_ref0 (_tmp0_);
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_task_timer_unref0 (self->priv->timer);
#line 41 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->timer = _tmp1_;
#line 44 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 45 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 47 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_setup_task_widgets (self);
#line 48 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_setup_timer_container (self);
#line 49 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_setup_action_container (self);
#line 50 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_setup_progress_bar (self);
#line 52 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = timer;
#line 52 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = task_timer_get_running (_tmp2_);
#line 52 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = _tmp3_;
#line 52 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_set_running (self, _tmp4_);
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp5_ = timer;
#line 55 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp5_, "timer-updated", (GCallback) _timer_view_set_time_task_timer_timer_updated, self, 0);
#line 56 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp6_ = timer;
#line 56 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp6_, "timer-running-changed", (GCallback) _timer_view_set_running_task_timer_timer_running_changed, self, 0);
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp7_ = timer;
#line 57 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp7_, "active-task-changed", (GCallback) _timer_view_timer_active_task_changed_task_timer_active_task_changed, self, 0);
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp8_ = timer;
#line 58 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp8_, "timer-updated-relative", (GCallback) ___lambda22__task_timer_timer_updated_relative, self, 0);
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp9_ = timer;
#line 63 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_update (_tmp9_);
#line 40 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return self;
#line 267 "TimerView.c"
}


TimerView* timer_view_new (TaskTimer* timer) {
#line 40 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return timer_view_construct (TYPE_TIMER_VIEW, timer);
#line 274 "TimerView.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return self ? g_object_ref (self) : NULL;
#line 281 "TimerView.c"
}


static void timer_view_timer_active_task_changed (TimerView* self, const GtkTreeRowReference* reference, gboolean break_active) {
	const GtkTreeRowReference* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 66 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 66 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (reference != NULL);
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = reference;
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = gtk_tree_row_reference_valid (_tmp0_);
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	if (_tmp1_) {
#line 298 "TimerView.c"
		GtkLabel* _tmp2_ = NULL;
		const GtkTreeRowReference* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GtkStyleContext* style = NULL;
		GtkLabel* _tmp6_ = NULL;
		GtkStyleContext* _tmp7_ = NULL;
		GtkStyleContext* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp2_ = self->priv->task_description_lbl;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp3_ = reference;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp4_ = gofi_utils_tree_row_ref_to_task (_tmp3_);
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp5_ = _tmp4_;
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		gtk_label_set_label (_tmp2_, _tmp5_);
#line 70 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_g_free0 (_tmp5_);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp6_ = self->priv->task_description_lbl;
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp7_ = gtk_widget_get_style_context ((GtkWidget*) _tmp6_);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp8_ = _g_object_ref0 (_tmp7_);
#line 72 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		style = _tmp8_;
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp9_ = break_active;
#line 75 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		if (_tmp9_) {
#line 332 "TimerView.c"
			GtkLabel* _tmp10_ = NULL;
			GtkStyleContext* _tmp11_ = NULL;
			GtkStyleContext* _tmp12_ = NULL;
#line 76 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp10_ = self->priv->task_status_lbl;
#line 76 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_label_set_label (_tmp10_, "Take a Break!");
#line 77 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp11_ = style;
#line 77 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_style_context_remove_class (_tmp11_, "task_active");
#line 78 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp12_ = style;
#line 78 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_style_context_add_class (_tmp12_, "task_break");
#line 348 "TimerView.c"
		} else {
			GtkLabel* _tmp13_ = NULL;
			GtkStyleContext* _tmp14_ = NULL;
			GtkStyleContext* _tmp15_ = NULL;
			GtkButton* _tmp16_ = NULL;
#line 80 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp13_ = self->priv->task_status_lbl;
#line 80 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_label_set_label (_tmp13_, "Active Task:");
#line 81 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp14_ = style;
#line 81 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_style_context_remove_class (_tmp14_, "task_break");
#line 82 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp15_ = style;
#line 82 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_style_context_add_class (_tmp15_, "task_active");
#line 83 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			_tmp16_ = self->done_btn;
#line 83 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
			gtk_widget_set_visible ((GtkWidget*) _tmp16_, TRUE);
#line 370 "TimerView.c"
		}
#line 69 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_g_object_unref0 (style);
#line 374 "TimerView.c"
	}
}


void timer_view_set_time (TimerView* self, GDateTime* time) {
	GtkSpinButton* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	GtkSpinButton* _tmp3_ = NULL;
	GDateTime* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	GtkSpinButton* _tmp6_ = NULL;
	GDateTime* _tmp7_ = NULL;
	gint _tmp8_ = 0;
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 87 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (time != NULL);
#line 88 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->h_spin;
#line 88 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = time;
#line 88 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = g_date_time_get_hour (_tmp1_);
#line 88 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp0_, (gdouble) _tmp2_);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = self->priv->m_spin;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = time;
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp5_ = g_date_time_get_minute (_tmp4_);
#line 89 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp3_, (gdouble) _tmp5_);
#line 90 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp6_ = self->priv->s_spin;
#line 90 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp7_ = time;
#line 90 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp8_ = g_date_time_get_second (_tmp7_);
#line 90 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp6_, (gdouble) _tmp8_);
#line 417 "TimerView.c"
}


static void ___lambda20_ (TimerView* self, GtkButton* e) {
	TaskTimer* _tmp0_ = NULL;
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 100 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 100 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_stop (_tmp0_);
#line 429 "TimerView.c"
}


static void ____lambda20__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	___lambda20_ ((TimerView*) self, _sender);
#line 436 "TimerView.c"
}


static void ___lambda21_ (TimerView* self, GtkButton* e) {
	TaskTimer* _tmp0_ = NULL;
#line 105 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 106 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_start (_tmp0_);
#line 448 "TimerView.c"
}


static void ____lambda21__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 105 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	___lambda21_ ((TimerView*) self, _sender);
#line 455 "TimerView.c"
}


void timer_view_set_running (TimerView* self, gboolean running) {
	GtkButton* _tmp0_ = NULL;
	TaskTimer* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
#line 93 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->done_btn;
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = self->priv->timer;
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = task_timer_get_break_active (_tmp1_);
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = _tmp2_;
#line 94 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp0_, !_tmp3_);
#line 96 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = running;
#line 96 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	if (_tmp4_) {
#line 481 "TimerView.c"
		GtkButton* _tmp5_ = NULL;
		GtkButton* _tmp6_ = NULL;
		GtkStyleContext* _tmp7_ = NULL;
		GtkButton* _tmp8_ = NULL;
#line 97 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp5_ = self->priv->run_btn;
#line 97 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		gtk_button_set_label (_tmp5_, "Pau_se");
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp6_ = self->priv->run_btn;
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp7_ = gtk_widget_get_style_context ((GtkWidget*) _tmp6_);
#line 98 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp7_, "suggested-action");
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp8_ = self->priv->run_btn;
#line 99 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		g_signal_connect_object (_tmp8_, "clicked", (GCallback) ____lambda20__gtk_button_clicked, self, 0);
#line 500 "TimerView.c"
	} else {
		GtkButton* _tmp9_ = NULL;
		GtkButton* _tmp10_ = NULL;
		GtkStyleContext* _tmp11_ = NULL;
		GtkButton* _tmp12_ = NULL;
#line 103 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp9_ = self->priv->run_btn;
#line 103 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		gtk_button_set_label (_tmp9_, "_Start");
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp10_ = self->priv->run_btn;
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp11_ = gtk_widget_get_style_context ((GtkWidget*) _tmp10_);
#line 104 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp11_, "suggested-action");
#line 105 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp12_ = self->priv->run_btn;
#line 105 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		g_signal_connect_object (_tmp12_, "clicked", (GCallback) ____lambda21__gtk_button_clicked, self, 0);
#line 520 "TimerView.c"
	}
}


GDateTime* timer_view_get_timer_values (TimerView* self) {
	GDateTime* result = NULL;
	GDateTime* duration = NULL;
	GDateTime* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GtkSpinButton* _tmp2_ = NULL;
	gdouble _tmp3_ = 0.0;
	gdouble _tmp4_ = 0.0;
	GDateTime* _tmp5_ = NULL;
	GDateTime* _tmp6_ = NULL;
	GtkSpinButton* _tmp7_ = NULL;
	gdouble _tmp8_ = 0.0;
	gdouble _tmp9_ = 0.0;
	GDateTime* _tmp10_ = NULL;
	GDateTime* _tmp11_ = NULL;
	GtkSpinButton* _tmp12_ = NULL;
	gdouble _tmp13_ = 0.0;
	gdouble _tmp14_ = 0.0;
	GDateTime* _tmp15_ = NULL;
#line 111 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = g_date_time_new_from_unix_utc ((gint64) 0);
#line 112 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	duration = _tmp0_;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = duration;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = self->priv->h_spin;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = gtk_spin_button_get_value (_tmp2_);
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = _tmp3_;
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp5_ = g_date_time_add_hours (_tmp1_, (gint) _tmp4_);
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 113 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	duration = _tmp5_;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp6_ = duration;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp7_ = self->priv->m_spin;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp8_ = gtk_spin_button_get_value (_tmp7_);
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp9_ = _tmp8_;
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp10_ = g_date_time_add_minutes (_tmp6_, (gint) _tmp9_);
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 114 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	duration = _tmp10_;
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp11_ = duration;
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp12_ = self->priv->s_spin;
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp13_ = gtk_spin_button_get_value (_tmp12_);
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp14_ = _tmp13_;
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp15_ = g_date_time_add_seconds (_tmp11_, _tmp14_);
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 115 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	duration = _tmp15_;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	result = duration;
#line 116 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return result;
#line 596 "TimerView.c"
}


/**
     * Configures the widgets that indicate the active task and its progress
     */
static void timer_view_setup_task_widgets (TimerView* self) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkProgressBar* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkStyleContext* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkLabel* _tmp10_ = NULL;
	GtkLabel* _tmp11_ = NULL;
#line 122 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new ("Inactive");
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_status_lbl);
#line 124 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->task_status_lbl = _tmp0_;
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new ("No task has been selected");
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_description_lbl);
#line 125 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->task_description_lbl = _tmp1_;
#line 128 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = self->priv->progress;
#line 128 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp2_, TRUE);
#line 129 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = self->priv->task_status_lbl;
#line 129 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp3_, 30);
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = self->priv->task_status_lbl;
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) _tmp4_);
#line 130 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_style_context_add_class (_tmp5_, "task_status");
#line 131 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp6_ = self->priv->task_description_lbl;
#line 131 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp6_, "margin", 20, NULL);
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp7_ = self->priv->task_description_lbl;
#line 132 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp7_, 30);
#line 133 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp8_ = self->priv->task_description_lbl;
#line 133 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_label_set_lines (_tmp8_, 3);
#line 134 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp9_ = self->priv->task_description_lbl;
#line 134 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set (_tmp9_, "wrap", TRUE, NULL);
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp10_ = self->priv->task_status_lbl;
#line 137 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp10_);
#line 138 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp11_ = self->priv->task_description_lbl;
#line 138 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp11_);
#line 672 "TimerView.c"
}


/**
     * Configures the container with the timer elements.
     */
static void __lambda15_ (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GDateTime* _tmp2_ = NULL;
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 168 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 693 "TimerView.c"
}


static void ___lambda15__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	__lambda15_ ((TimerView*) self);
#line 700 "TimerView.c"
}


static void __lambda16_ (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GDateTime* _tmp2_ = NULL;
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 171 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 718 "TimerView.c"
}


static void ___lambda16__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 170 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	__lambda16_ ((TimerView*) self);
#line 725 "TimerView.c"
}


static void __lambda17_ (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GDateTime* _tmp2_ = NULL;
#line 174 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 174 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 174 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 174 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 174 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 743 "TimerView.c"
}


static void ___lambda17__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	__lambda17_ ((TimerView*) self);
#line 750 "TimerView.c"
}


static void timer_view_setup_timer_container (TimerView* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	GtkSpinButton* _tmp2_ = NULL;
	GtkSpinButton* _tmp3_ = NULL;
	GtkGrid* _tmp4_ = NULL;
	GtkGrid* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkStyleContext* _tmp9_ = NULL;
	GtkSpinButton* _tmp10_ = NULL;
	GtkSpinButton* _tmp11_ = NULL;
	GtkSpinButton* _tmp12_ = NULL;
	GtkSpinButton* _tmp13_ = NULL;
	GtkSpinButton* _tmp14_ = NULL;
	GtkSpinButton* _tmp15_ = NULL;
	GtkSpinButton* _tmp16_ = NULL;
	GtkSpinButton* _tmp17_ = NULL;
	GtkSpinButton* _tmp18_ = NULL;
	GtkGrid* _tmp19_ = NULL;
	GtkSpinButton* _tmp20_ = NULL;
	GtkGrid* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkGrid* _tmp24_ = NULL;
	GtkSpinButton* _tmp25_ = NULL;
	GtkGrid* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
	GtkSpinButton* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
#line 144 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 146 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 146 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 146 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->timer_grid);
#line 146 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->timer_grid = _tmp0_;
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->h_spin);
#line 147 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->h_spin = _tmp1_;
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp2_);
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->m_spin);
#line 148 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->m_spin = _tmp2_;
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->s_spin);
#line 149 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->s_spin = _tmp3_;
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = self->priv->timer_grid;
#line 152 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp4_, "expand", TRUE, NULL);
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp5_ = self->priv->timer_grid;
#line 153 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp5_, GTK_ORIENTATION_HORIZONTAL);
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp6_ = self->priv->timer_grid;
#line 154 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_CENTER);
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp7_ = self->priv->timer_grid;
#line 155 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_CENTER);
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp8_ = self->priv->timer_grid;
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp9_ = gtk_widget_get_style_context ((GtkWidget*) _tmp8_);
#line 157 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_style_context_add_class (_tmp9_, "timerview");
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp10_ = self->priv->h_spin;
#line 158 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp10_, GTK_ORIENTATION_VERTICAL);
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp11_ = self->priv->m_spin;
#line 159 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp11_, GTK_ORIENTATION_VERTICAL);
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp12_ = self->priv->s_spin;
#line 160 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp12_, GTK_ORIENTATION_VERTICAL);
#line 162 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp13_ = self->priv->h_spin;
#line 162 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp13_);
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp14_ = self->priv->m_spin;
#line 163 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp14_);
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp15_ = self->priv->s_spin;
#line 164 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp15_);
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp16_ = self->priv->h_spin;
#line 167 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp16_, "value-changed", (GCallback) ___lambda15__gtk_spin_button_value_changed, self, 0);
#line 170 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp17_ = self->priv->m_spin;
#line 170 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp17_, "value-changed", (GCallback) ___lambda16__gtk_spin_button_value_changed, self, 0);
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp18_ = self->priv->s_spin;
#line 173 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp18_, "value-changed", (GCallback) ___lambda17__gtk_spin_button_value_changed, self, 0);
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp19_ = self->priv->timer_grid;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp20_ = self->priv->h_spin;
#line 178 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp19_, (GtkWidget*) _tmp20_);
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp21_ = self->priv->timer_grid;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp22_ = (GtkLabel*) gtk_label_new (" : ");
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp22_);
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp23_ = _tmp22_;
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp23_);
#line 179 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (_tmp23_);
#line 180 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp24_ = self->priv->timer_grid;
#line 180 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp25_ = self->priv->m_spin;
#line 180 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp26_ = self->priv->timer_grid;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (" : ");
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp27_);
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp28_ = _tmp27_;
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp26_, (GtkWidget*) _tmp28_);
#line 181 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (_tmp28_);
#line 182 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp29_ = self->priv->timer_grid;
#line 182 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp30_ = self->priv->s_spin;
#line 182 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 183 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp31_ = self->priv->timer_grid;
#line 183 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp31_);
#line 925 "TimerView.c"
}


/**
     * Makes the passed Gtk.SpinButton fill the display with a leading zero.
     */
static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return _data1_;
#line 937 "TimerView.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 946 "TimerView.c"
		TimerView* self;
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		self = _data1_->self;
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_g_object_unref0 (_data1_->spin);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_g_object_unref0 (self);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		g_slice_free (Block1Data, _data1_);
#line 956 "TimerView.c"
	}
}


static gboolean __lambda14_ (Block1Data* _data1_, GtkSpinButton* s) {
	TimerView* self;
	gboolean result = FALSE;
	gint val = 0;
	GtkSpinButton* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self = _data1_->self;
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_val_if_fail (s != NULL, FALSE);
#line 191 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = _data1_->spin;
#line 191 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
#line 191 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	val = _tmp1_;
#line 193 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = val;
#line 193 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	if (_tmp2_ < 10) {
#line 982 "TimerView.c"
		GtkSpinButton* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp3_ = _data1_->spin;
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp4_ = val;
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp5_ = g_strdup_printf ("%i", _tmp4_);
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp6_ = _tmp5_;
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp7_ = g_strconcat ("0", _tmp6_, NULL);
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_tmp8_ = _tmp7_;
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		gtk_entry_set_text ((GtkEntry*) _tmp3_, _tmp8_);
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_g_free0 (_tmp8_);
#line 194 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		_g_free0 (_tmp6_);
#line 195 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		result = TRUE;
#line 195 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
		return result;
#line 1011 "TimerView.c"
	}
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	result = FALSE;
#line 197 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return result;
#line 1017 "TimerView.c"
}


static gboolean ___lambda14__gtk_spin_button_output (GtkSpinButton* _sender, gpointer self) {
	gboolean result;
	result = __lambda14_ (self, _sender);
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	return result;
#line 1026 "TimerView.c"
}


static void timer_view_use_leading_zeros (TimerView* self, GtkSpinButton* spin) {
	Block1Data* _data1_;
	GtkSpinButton* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	GtkSpinButton* _tmp2_ = NULL;
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (spin != NULL);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_data1_->_ref_count_ = 1;
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_data1_->self = g_object_ref (self);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = spin;
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (_data1_->spin);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_data1_->spin = _tmp1_;
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = _data1_->spin;
#line 190 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_data (_tmp2_, "output", (GCallback) ___lambda14__gtk_spin_button_output, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	block1_data_unref (_data1_);
#line 189 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_data1_ = NULL;
#line 1061 "TimerView.c"
}


/**
     * Configures the container with the action buttons.
     */
static void __lambda18_ (TimerView* self, GtkButton* e) {
	TaskTimer* _tmp0_ = NULL;
#line 229 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 230 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 230 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_end_iteration (_tmp0_);
#line 1076 "TimerView.c"
}


static void ___lambda18__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 229 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	__lambda18_ ((TimerView*) self, _sender);
#line 1083 "TimerView.c"
}


static void __lambda19_ (TimerView* self, GtkButton* e) {
	TaskTimer* _tmp0_ = NULL;
#line 232 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 233 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 233 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	task_timer_set_active_task_done (_tmp0_);
#line 1095 "TimerView.c"
}


static void ___lambda19__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 232 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	__lambda19_ ((TimerView*) self, _sender);
#line 1102 "TimerView.c"
}


static void timer_view_setup_action_container (TimerView* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkButton* _tmp3_ = NULL;
	GtkButton* _tmp4_ = NULL;
	GtkButton* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
	GtkGrid* _tmp11_ = NULL;
	GtkButton* _tmp12_ = NULL;
	GtkButton* _tmp13_ = NULL;
	GtkButton* _tmp14_ = NULL;
	GtkButton* _tmp15_ = NULL;
	GtkButton* _tmp16_ = NULL;
	GtkButton* _tmp17_ = NULL;
	GtkButton* _tmp18_ = NULL;
	GtkButton* _tmp19_ = NULL;
	GtkGrid* _tmp20_ = NULL;
	GtkButton* _tmp21_ = NULL;
	GtkGrid* _tmp22_ = NULL;
	GtkButton* _tmp23_ = NULL;
	GtkGrid* _tmp24_ = NULL;
	GtkButton* _tmp25_ = NULL;
	GtkGrid* _tmp26_ = NULL;
	GtkGrid* _tmp27_ = NULL;
	GtkGrid* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
	GtkGrid* _tmp30_ = NULL;
#line 204 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 206 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 206 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 206 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_grid);
#line 206 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->action_grid = _tmp0_;
#line 207 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 207 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 207 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_timer_grid);
#line 207 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->action_timer_grid = _tmp1_;
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp2_);
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_task_grid);
#line 208 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->action_task_grid = _tmp2_;
#line 209 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp3_ = (GtkButton*) gtk_button_new ();
#line 209 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 209 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->run_btn);
#line 209 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->run_btn = _tmp3_;
#line 210 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp4_ = (GtkButton*) gtk_button_new_with_label ("_Skip");
#line 210 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp4_);
#line 210 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->skip_btn);
#line 210 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->skip_btn = _tmp4_;
#line 211 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp5_ = (GtkButton*) gtk_button_new_with_label ("_Done");
#line 211 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp5_);
#line 211 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->done_btn);
#line 211 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->done_btn = _tmp5_;
#line 214 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp6_ = self->priv->action_grid;
#line 214 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp6_, GTK_ORIENTATION_HORIZONTAL);
#line 215 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp7_ = self->priv->action_grid;
#line 215 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp7_, TRUE);
#line 216 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp8_ = self->priv->action_timer_grid;
#line 216 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, TRUE);
#line 217 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp9_ = self->priv->action_task_grid;
#line 217 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 218 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp10_ = self->priv->action_timer_grid;
#line 218 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp10_, GTK_ALIGN_END);
#line 219 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp11_ = self->priv->action_task_grid;
#line 219 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp11_, GTK_ALIGN_START);
#line 220 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp12_ = self->done_btn;
#line 220 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp12_, "margin", 7, NULL);
#line 221 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp13_ = self->priv->run_btn;
#line 221 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp13_, "margin", 7, NULL);
#line 222 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp14_ = self->priv->skip_btn;
#line 222 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp14_, "margin", 7, NULL);
#line 224 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp15_ = self->done_btn;
#line 224 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp15_, TRUE);
#line 225 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp16_ = self->priv->skip_btn;
#line 225 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp16_, TRUE);
#line 226 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp17_ = self->priv->run_btn;
#line 226 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp17_, TRUE);
#line 229 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp18_ = self->priv->skip_btn;
#line 229 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp18_, "clicked", (GCallback) ___lambda18__gtk_button_clicked, self, 0);
#line 232 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp19_ = self->done_btn;
#line 232 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_signal_connect_object (_tmp19_, "clicked", (GCallback) ___lambda19__gtk_button_clicked, self, 0);
#line 237 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp20_ = self->priv->action_timer_grid;
#line 237 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp21_ = self->priv->skip_btn;
#line 237 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp20_, (GtkWidget*) _tmp21_);
#line 238 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp22_ = self->priv->action_timer_grid;
#line 238 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp23_ = self->priv->run_btn;
#line 238 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp22_, (GtkWidget*) _tmp23_);
#line 239 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp24_ = self->priv->action_task_grid;
#line 239 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp25_ = self->done_btn;
#line 239 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 240 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp26_ = self->priv->action_grid;
#line 240 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp27_ = self->priv->action_task_grid;
#line 240 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp26_, (GtkWidget*) _tmp27_);
#line 241 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp28_ = self->priv->action_grid;
#line 241 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp29_ = self->priv->action_timer_grid;
#line 241 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp28_, (GtkWidget*) _tmp29_);
#line 242 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp30_ = self->priv->action_grid;
#line 242 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp30_);
#line 1278 "TimerView.c"
}


static void timer_view_setup_progress_bar (TimerView* self) {
	GtkProgressBar* _tmp0_ = NULL;
	GtkProgressBar* _tmp1_ = NULL;
#line 245 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 246 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = (GtkProgressBar*) gtk_progress_bar_new ();
#line 246 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 246 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->progress);
#line 246 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv->progress = _tmp0_;
#line 247 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = self->priv->progress;
#line 247 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp1_);
#line 1299 "TimerView.c"
}


/**
     * This funciton is to be called, when the to-do list is empty
     */
void timer_view_show_no_task (TimerView* self) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkButton* _tmp2_ = NULL;
#line 253 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 254 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp0_ = self->priv->task_status_lbl;
#line 254 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_label_set_label (_tmp0_, "Relax!");
#line 255 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp1_ = self->priv->task_description_lbl;
#line 255 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_label_set_label (_tmp1_, "You have nothing to do.");
#line 256 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_tmp2_ = self->done_btn;
#line 256 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp2_, FALSE);
#line 1324 "TimerView.c"
}


static void timer_view_class_init (TimerViewClass * klass) {
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	timer_view_parent_class = g_type_class_peek_parent (klass);
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	g_type_class_add_private (klass, sizeof (TimerViewPrivate));
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	G_OBJECT_CLASS (klass)->finalize = timer_view_finalize;
#line 1335 "TimerView.c"
}


static void timer_view_instance_init (TimerView * self) {
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self->priv = TIMER_VIEW_GET_PRIVATE (self);
#line 1342 "TimerView.c"
}


static void timer_view_finalize (GObject* obj) {
	TimerView * self;
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TIMER_VIEW, TimerView);
#line 23 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_task_timer_unref0 (self->priv->timer);
#line 26 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->progress);
#line 27 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_status_lbl);
#line 28 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_description_lbl);
#line 29 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->timer_grid);
#line 30 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->h_spin);
#line 31 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->m_spin);
#line 32 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->s_spin);
#line 33 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_grid);
#line 34 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_timer_grid);
#line 35 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_task_grid);
#line 36 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->run_btn);
#line 37 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->skip_btn);
#line 38 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	_g_object_unref0 (self->done_btn);
#line 21 "/usr/src/RPM/BUILD/go-for-it-1.4/src/view/TimerView.vala"
	G_OBJECT_CLASS (timer_view_parent_class)->finalize (obj);
#line 1380 "TimerView.c"
}


/**
 * The widget for selecting, displaying and controlling the active task.
 */
GType timer_view_get_type (void) {
	static volatile gsize timer_view_type_id__volatile = 0;
	if (g_once_init_enter (&timer_view_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (TimerViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) timer_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TimerView), 0, (GInstanceInitFunc) timer_view_instance_init, NULL };
		GType timer_view_type_id;
		timer_view_type_id = g_type_register_static (gtk_grid_get_type (), "TimerView", &g_define_type_info, 0);
		g_once_init_leave (&timer_view_type_id__volatile, timer_view_type_id);
	}
	return timer_view_type_id__volatile;
}



